import { ATN, DFA, FailedPredicateException, Parser, ParserRuleContext, TerminalNode, Token, TokenStream } from 'antlr4';
import CypherCmdParserListener from "./CypherCmdParserListener.js";
import CypherCmdParserVisitor from "./CypherCmdParserVisitor.js";
export default class CypherCmdParser extends Parser {
    static readonly PARAM = 1;
    static readonly CLEAR = 2;
    static readonly HISTORY = 3;
    static readonly EXPLAIN = 4;
    static readonly PROFILE = 5;
    static readonly SPACE = 6;
    static readonly SINGLE_LINE_COMMENT = 7;
    static readonly DECIMAL_DOUBLE = 8;
    static readonly UNSIGNED_DECIMAL_INTEGER = 9;
    static readonly UNSIGNED_HEX_INTEGER = 10;
    static readonly UNSIGNED_OCTAL_INTEGER = 11;
    static readonly ACCESS = 12;
    static readonly ACTIVE = 13;
    static readonly ADMIN = 14;
    static readonly ADMINISTRATOR = 15;
    static readonly ALIAS = 16;
    static readonly ALIASES = 17;
    static readonly ALL_SHORTEST_PATH = 18;
    static readonly ALL = 19;
    static readonly ALTER = 20;
    static readonly AND = 21;
    static readonly ANY = 22;
    static readonly ARRAY = 23;
    static readonly AS = 24;
    static readonly ASC = 25;
    static readonly ASCENDING = 26;
    static readonly ASSERT = 27;
    static readonly ASSIGN = 28;
    static readonly AT = 29;
    static readonly BAR = 30;
    static readonly BINDINGS = 31;
    static readonly BOOLEAN = 32;
    static readonly BOOSTED = 33;
    static readonly BREAK = 34;
    static readonly BRIEF = 35;
    static readonly BTREE = 36;
    static readonly BUILT = 37;
    static readonly BY = 38;
    static readonly CALL = 39;
    static readonly CASE = 40;
    static readonly CHANGE = 41;
    static readonly CIDR = 42;
    static readonly COLLECT = 43;
    static readonly COLON = 44;
    static readonly COLONCOLON = 45;
    static readonly COMMA = 46;
    static readonly COMMAND = 47;
    static readonly COMMANDS = 48;
    static readonly COMMIT = 49;
    static readonly COMPOSITE = 50;
    static readonly CONCURRENT = 51;
    static readonly CONSTRAINT = 52;
    static readonly CONSTRAINTS = 53;
    static readonly CONTAINS = 54;
    static readonly COPY = 55;
    static readonly CONTINUE = 56;
    static readonly COUNT = 57;
    static readonly CREATE = 58;
    static readonly CSV = 59;
    static readonly CURRENT = 60;
    static readonly DATA = 61;
    static readonly DATABASE = 62;
    static readonly DATABASES = 63;
    static readonly DATE = 64;
    static readonly DATETIME = 65;
    static readonly DBMS = 66;
    static readonly DEALLOCATE = 67;
    static readonly DEFAULT = 68;
    static readonly DEFINED = 69;
    static readonly DELETE = 70;
    static readonly DENY = 71;
    static readonly DESC = 72;
    static readonly DESCENDING = 73;
    static readonly DESTROY = 74;
    static readonly DETACH = 75;
    static readonly DIFFERENT = 76;
    static readonly DOLLAR = 77;
    static readonly DISTINCT = 78;
    static readonly DIVIDE = 79;
    static readonly DOT = 80;
    static readonly DOTDOT = 81;
    static readonly DRIVER = 82;
    static readonly DROP = 83;
    static readonly DRYRUN = 84;
    static readonly DUMP = 85;
    static readonly DURATION = 86;
    static readonly EACH = 87;
    static readonly EDGE = 88;
    static readonly ENABLE = 89;
    static readonly ELEMENT = 90;
    static readonly ELEMENTS = 91;
    static readonly ELSE = 92;
    static readonly ENCRYPTED = 93;
    static readonly END = 94;
    static readonly ENDS = 95;
    static readonly EQ = 96;
    static readonly EXECUTABLE = 97;
    static readonly EXECUTE = 98;
    static readonly EXIST = 99;
    static readonly EXISTENCE = 100;
    static readonly EXISTS = 101;
    static readonly ERROR = 102;
    static readonly FAIL = 103;
    static readonly FALSE = 104;
    static readonly FIELDTERMINATOR = 105;
    static readonly FLOAT = 106;
    static readonly FOR = 107;
    static readonly FOREACH = 108;
    static readonly FROM = 109;
    static readonly FULLTEXT = 110;
    static readonly FUNCTION = 111;
    static readonly FUNCTIONS = 112;
    static readonly GE = 113;
    static readonly GRANT = 114;
    static readonly GRAPH = 115;
    static readonly GRAPHS = 116;
    static readonly GROUP = 117;
    static readonly GROUPS = 118;
    static readonly GT = 119;
    static readonly HEADERS = 120;
    static readonly HOME = 121;
    static readonly IF = 122;
    static readonly IMPERSONATE = 123;
    static readonly IMMUTABLE = 124;
    static readonly IN = 125;
    static readonly INDEX = 126;
    static readonly INDEXES = 127;
    static readonly INFINITY = 128;
    static readonly INSERT = 129;
    static readonly INT = 130;
    static readonly INTEGER = 131;
    static readonly IS = 132;
    static readonly JOIN = 133;
    static readonly KEY = 134;
    static readonly LABEL = 135;
    static readonly LABELS = 136;
    static readonly AMPERSAND = 137;
    static readonly EXCLAMATION_MARK = 138;
    static readonly LBRACKET = 139;
    static readonly LCURLY = 140;
    static readonly LE = 141;
    static readonly LIMITROWS = 142;
    static readonly LIST = 143;
    static readonly LOAD = 144;
    static readonly LOCAL = 145;
    static readonly LOOKUP = 146;
    static readonly LPAREN = 147;
    static readonly LT = 148;
    static readonly MANAGEMENT = 149;
    static readonly MAP = 150;
    static readonly MATCH = 151;
    static readonly MERGE = 152;
    static readonly MINUS = 153;
    static readonly PERCENT = 154;
    static readonly INVALID_NEQ = 155;
    static readonly NEQ = 156;
    static readonly NAME = 157;
    static readonly NAMES = 158;
    static readonly NAN = 159;
    static readonly NFC = 160;
    static readonly NFD = 161;
    static readonly NFKC = 162;
    static readonly NFKD = 163;
    static readonly NEW = 164;
    static readonly NODE = 165;
    static readonly NODETACH = 166;
    static readonly NODES = 167;
    static readonly NONE = 168;
    static readonly NORMALIZE = 169;
    static readonly NORMALIZED = 170;
    static readonly NOT = 171;
    static readonly NOTHING = 172;
    static readonly NOWAIT = 173;
    static readonly NULL = 174;
    static readonly OF = 175;
    static readonly ON = 176;
    static readonly ONLY = 177;
    static readonly OPTIONAL = 178;
    static readonly OPTIONS = 179;
    static readonly OPTION = 180;
    static readonly OR = 181;
    static readonly ORDER = 182;
    static readonly OUTPUT = 183;
    static readonly PASSWORD = 184;
    static readonly PASSWORDS = 185;
    static readonly PATH = 186;
    static readonly PATHS = 187;
    static readonly PERIODIC = 188;
    static readonly PLAINTEXT = 189;
    static readonly PLUS = 190;
    static readonly PLUSEQUAL = 191;
    static readonly POINT = 192;
    static readonly POPULATED = 193;
    static readonly POW = 194;
    static readonly PRIMARY = 195;
    static readonly PRIMARIES = 196;
    static readonly PRIVILEGE = 197;
    static readonly PRIVILEGES = 198;
    static readonly PROCEDURE = 199;
    static readonly PROCEDURES = 200;
    static readonly PROPERTIES = 201;
    static readonly PROPERTY = 202;
    static readonly QUESTION = 203;
    static readonly RANGE = 204;
    static readonly RBRACKET = 205;
    static readonly RCURLY = 206;
    static readonly READ = 207;
    static readonly REALLOCATE = 208;
    static readonly REDUCE = 209;
    static readonly RENAME = 210;
    static readonly REGEQ = 211;
    static readonly REL = 212;
    static readonly RELATIONSHIP = 213;
    static readonly RELATIONSHIPS = 214;
    static readonly REMOVE = 215;
    static readonly REPEATABLE = 216;
    static readonly REPLACE = 217;
    static readonly REPORT = 218;
    static readonly REQUIRE = 219;
    static readonly REQUIRED = 220;
    static readonly RETURN = 221;
    static readonly REVOKE = 222;
    static readonly ROLE = 223;
    static readonly ROLES = 224;
    static readonly ROW = 225;
    static readonly ROWS = 226;
    static readonly RPAREN = 227;
    static readonly SCAN = 228;
    static readonly SEC = 229;
    static readonly SECOND = 230;
    static readonly SECONDARY = 231;
    static readonly SECONDARIES = 232;
    static readonly SECONDS = 233;
    static readonly SEEK = 234;
    static readonly SEMICOLON = 235;
    static readonly SERVER = 236;
    static readonly SERVERS = 237;
    static readonly SET = 238;
    static readonly SETTING = 239;
    static readonly SETTINGS = 240;
    static readonly SHORTEST_PATH = 241;
    static readonly SHORTEST = 242;
    static readonly SHOW = 243;
    static readonly SIGNED = 244;
    static readonly SINGLE = 245;
    static readonly SKIPROWS = 246;
    static readonly START = 247;
    static readonly STARTS = 248;
    static readonly STATUS = 249;
    static readonly STOP = 250;
    static readonly STRING = 251;
    static readonly SUPPORTED = 252;
    static readonly SUSPENDED = 253;
    static readonly TARGET = 254;
    static readonly TERMINATE = 255;
    static readonly TEXT = 256;
    static readonly THEN = 257;
    static readonly TIME = 258;
    static readonly TIMES = 259;
    static readonly TIMESTAMP = 260;
    static readonly TIMEZONE = 261;
    static readonly TO = 262;
    static readonly TOPOLOGY = 263;
    static readonly TRANSACTION = 264;
    static readonly TRANSACTIONS = 265;
    static readonly TRAVERSE = 266;
    static readonly TRUE = 267;
    static readonly TYPE = 268;
    static readonly TYPED = 269;
    static readonly TYPES = 270;
    static readonly UNION = 271;
    static readonly UNIQUE = 272;
    static readonly UNIQUENESS = 273;
    static readonly UNWIND = 274;
    static readonly URL = 275;
    static readonly USE = 276;
    static readonly USER = 277;
    static readonly USERS = 278;
    static readonly USING = 279;
    static readonly VALUE = 280;
    static readonly VECTOR = 281;
    static readonly VERBOSE = 282;
    static readonly VERTEX = 283;
    static readonly WAIT = 284;
    static readonly WHEN = 285;
    static readonly WHERE = 286;
    static readonly WITH = 287;
    static readonly WITHOUT = 288;
    static readonly WRITE = 289;
    static readonly XOR = 290;
    static readonly YIELD = 291;
    static readonly ZONED = 292;
    static readonly IDENTIFIER = 293;
    static readonly ErrorChar = 294;
    static readonly ARROW_LINE = 295;
    static readonly ARROW_LEFT_HEAD = 296;
    static readonly ARROW_RIGHT_HEAD = 297;
    static readonly FORMAL_COMMENT = 298;
    static readonly STRING_LITERAL1 = 299;
    static readonly STRING_LITERAL2 = 300;
    static readonly MULTI_LINE_COMMENT = 301;
    static readonly ESCAPED_SYMBOLIC_NAME = 302;
    static readonly MORE1 = 303;
    static readonly STRING1_OPEN = 304;
    static readonly STRING2_OPEN = 305;
    static readonly ESCAPED_SYMBOLIC_NAME_OPEN = 306;
    static readonly MORE3 = 307;
    static readonly MORE4 = 308;
    static readonly MORE5 = 309;
    static readonly MORE6 = 310;
    static readonly MORE7 = 311;
    static readonly MORE8 = 312;
    static readonly MORE9 = 313;
    static readonly MORE10 = 314;
    static readonly MORE11 = 315;
    static readonly MORE24 = 316;
    static readonly EOF: number;
    static readonly RULE_statementsOrCommands = 0;
    static readonly RULE_statementOrCommand = 1;
    static readonly RULE_consoleCommand = 2;
    static readonly RULE_paramsCmd = 3;
    static readonly RULE_paramsArgs = 4;
    static readonly RULE_lambda = 5;
    static readonly RULE_clearCmd = 6;
    static readonly RULE_historyCmd = 7;
    static readonly RULE_useCmd = 8;
    static readonly RULE_listCompletionRule = 9;
    static readonly RULE_useCompletionRule = 10;
    static readonly RULE_preparsedStatement = 11;
    static readonly RULE_preparserOption = 12;
    static readonly RULE_statements = 13;
    static readonly RULE_statement = 14;
    static readonly RULE_singleQueryOrCommand = 15;
    static readonly RULE_singleQueryOrCommandWithUseClause = 16;
    static readonly RULE_periodicCommitQueryHintFailure = 17;
    static readonly RULE_regularQuery = 18;
    static readonly RULE_union = 19;
    static readonly RULE_singleQuery = 20;
    static readonly RULE_singleQueryWithUseClause = 21;
    static readonly RULE_clause = 22;
    static readonly RULE_useClause = 23;
    static readonly RULE_graphReference = 24;
    static readonly RULE_returnClause = 25;
    static readonly RULE_returnBody = 26;
    static readonly RULE_returnItem = 27;
    static readonly RULE_returnItems = 28;
    static readonly RULE_orderItem = 29;
    static readonly RULE_skip = 30;
    static readonly RULE_limit = 31;
    static readonly RULE_whereClause = 32;
    static readonly RULE_withClause = 33;
    static readonly RULE_createClause = 34;
    static readonly RULE_insertClause = 35;
    static readonly RULE_setClause = 36;
    static readonly RULE_setItem = 37;
    static readonly RULE_removeClause = 38;
    static readonly RULE_removeItem = 39;
    static readonly RULE_deleteClause = 40;
    static readonly RULE_matchClause = 41;
    static readonly RULE_matchMode = 42;
    static readonly RULE_hints = 43;
    static readonly RULE_indexHintBody = 44;
    static readonly RULE_mergeClause = 45;
    static readonly RULE_unwindClause = 46;
    static readonly RULE_callClause = 47;
    static readonly RULE_procedureName = 48;
    static readonly RULE_procedureArgument = 49;
    static readonly RULE_procedureResultItem = 50;
    static readonly RULE_loadCSVClause = 51;
    static readonly RULE_foreachClause = 52;
    static readonly RULE_subqueryClause = 53;
    static readonly RULE_subqueryInTransactionsParameters = 54;
    static readonly RULE_subqueryInTransactionsBatchParameters = 55;
    static readonly RULE_subqueryInTransactionsErrorParameters = 56;
    static readonly RULE_subqueryInTransactionsReportParameters = 57;
    static readonly RULE_patternList = 58;
    static readonly RULE_insertPatternList = 59;
    static readonly RULE_pattern = 60;
    static readonly RULE_insertPattern = 61;
    static readonly RULE_quantifier = 62;
    static readonly RULE_anonymousPattern = 63;
    static readonly RULE_shortestPathPattern = 64;
    static readonly RULE_maybeQuantifiedRelationshipPattern = 65;
    static readonly RULE_patternElement = 66;
    static readonly RULE_pathPatternAtoms = 67;
    static readonly RULE_insertPathPatternAtoms = 68;
    static readonly RULE_selector = 69;
    static readonly RULE_pathPatternNonEmpty = 70;
    static readonly RULE_nodePattern = 71;
    static readonly RULE_insertNodePattern = 72;
    static readonly RULE_parenthesizedPath = 73;
    static readonly RULE_nodeLabels = 74;
    static readonly RULE_nodeLabelsIs = 75;
    static readonly RULE_labelOrRelType = 76;
    static readonly RULE_labelOrRelTypes = 77;
    static readonly RULE_properties = 78;
    static readonly RULE_relationshipPattern = 79;
    static readonly RULE_insertRelationshipPattern = 80;
    static readonly RULE_leftArrow = 81;
    static readonly RULE_arrowLine = 82;
    static readonly RULE_rightArrow = 83;
    static readonly RULE_pathLength = 84;
    static readonly RULE_labelExpression = 85;
    static readonly RULE_labelExpression4 = 86;
    static readonly RULE_labelExpression4Is = 87;
    static readonly RULE_labelExpression3 = 88;
    static readonly RULE_labelExpression3Is = 89;
    static readonly RULE_labelExpression2 = 90;
    static readonly RULE_labelExpression2Is = 91;
    static readonly RULE_labelExpression1 = 92;
    static readonly RULE_labelExpression1Is = 93;
    static readonly RULE_insertNodeLabelExpression = 94;
    static readonly RULE_insertRelationshipLabelExpression = 95;
    static readonly RULE_insertLabelConjunction = 96;
    static readonly RULE_expression = 97;
    static readonly RULE_expression11 = 98;
    static readonly RULE_expression10 = 99;
    static readonly RULE_expression9 = 100;
    static readonly RULE_expression8 = 101;
    static readonly RULE_expression7 = 102;
    static readonly RULE_comparisonExpression6 = 103;
    static readonly RULE_normalForm = 104;
    static readonly RULE_expression6 = 105;
    static readonly RULE_expression5 = 106;
    static readonly RULE_expression4 = 107;
    static readonly RULE_expression3 = 108;
    static readonly RULE_expression2 = 109;
    static readonly RULE_postFix = 110;
    static readonly RULE_property = 111;
    static readonly RULE_propertyExpression = 112;
    static readonly RULE_expression1 = 113;
    static readonly RULE_literal = 114;
    static readonly RULE_caseExpression = 115;
    static readonly RULE_caseAlternative = 116;
    static readonly RULE_extendedCaseExpression = 117;
    static readonly RULE_extendedCaseAlternative = 118;
    static readonly RULE_extendedWhen = 119;
    static readonly RULE_listComprehension = 120;
    static readonly RULE_patternComprehension = 121;
    static readonly RULE_patternComprehensionPrefix = 122;
    static readonly RULE_reduceExpression = 123;
    static readonly RULE_listItemsPredicate = 124;
    static readonly RULE_normalizeExpression = 125;
    static readonly RULE_patternExpression = 126;
    static readonly RULE_shortestPathExpression = 127;
    static readonly RULE_parenthesizedExpression = 128;
    static readonly RULE_mapProjection = 129;
    static readonly RULE_mapProjectionItem = 130;
    static readonly RULE_existsExpression = 131;
    static readonly RULE_countExpression = 132;
    static readonly RULE_collectExpression = 133;
    static readonly RULE_numberLiteral = 134;
    static readonly RULE_signedIntegerLiteral = 135;
    static readonly RULE_listLiteral = 136;
    static readonly RULE_propertyKeyName = 137;
    static readonly RULE_parameter = 138;
    static readonly RULE_parameterName = 139;
    static readonly RULE_functionInvocation = 140;
    static readonly RULE_functionArgument = 141;
    static readonly RULE_functionName = 142;
    static readonly RULE_namespace = 143;
    static readonly RULE_variableList1 = 144;
    static readonly RULE_variable = 145;
    static readonly RULE_symbolicNameList1 = 146;
    static readonly RULE_createCommand = 147;
    static readonly RULE_command = 148;
    static readonly RULE_commandWithUseGraph = 149;
    static readonly RULE_dropCommand = 150;
    static readonly RULE_alterCommand = 151;
    static readonly RULE_showCommand = 152;
    static readonly RULE_terminateCommand = 153;
    static readonly RULE_showAllCommand = 154;
    static readonly RULE_showNodeCommand = 155;
    static readonly RULE_showRelationshipCommand = 156;
    static readonly RULE_showRelCommand = 157;
    static readonly RULE_showPropertyCommand = 158;
    static readonly RULE_yieldItem = 159;
    static readonly RULE_yieldClause = 160;
    static readonly RULE_showIndexesAllowBrief = 161;
    static readonly RULE_showIndexesNoBrief = 162;
    static readonly RULE_showConstraintsAllowBriefAndYield = 163;
    static readonly RULE_showConstraintsAllowBrief = 164;
    static readonly RULE_showConstraintsAllowYield = 165;
    static readonly RULE_showProcedures = 166;
    static readonly RULE_showFunctions = 167;
    static readonly RULE_showTransactions = 168;
    static readonly RULE_terminateTransactions = 169;
    static readonly RULE_showSettings = 170;
    static readonly RULE_composableCommandClauses = 171;
    static readonly RULE_stringsOrExpression = 172;
    static readonly RULE_createConstraint = 173;
    static readonly RULE_type = 174;
    static readonly RULE_typePart = 175;
    static readonly RULE_typeName = 176;
    static readonly RULE_typeNullability = 177;
    static readonly RULE_typeListSuffix = 178;
    static readonly RULE_constraintNodePattern = 179;
    static readonly RULE_constraintRelPattern = 180;
    static readonly RULE_createConstraintNodeCheck = 181;
    static readonly RULE_createConstraintRelCheck = 182;
    static readonly RULE_dropConstraint = 183;
    static readonly RULE_dropConstraintNodeCheck = 184;
    static readonly RULE_createIndex = 185;
    static readonly RULE_oldCreateIndex = 186;
    static readonly RULE_createIndex_ = 187;
    static readonly RULE_createFulltextIndex = 188;
    static readonly RULE_createLookupIndex = 189;
    static readonly RULE_lookupIndexFunctionName = 190;
    static readonly RULE_dropIndex = 191;
    static readonly RULE_propertyList = 192;
    static readonly RULE_renameCommand = 193;
    static readonly RULE_grantCommand = 194;
    static readonly RULE_revokeCommand = 195;
    static readonly RULE_enableServerCommand = 196;
    static readonly RULE_alterServer = 197;
    static readonly RULE_renameServer = 198;
    static readonly RULE_dropServer = 199;
    static readonly RULE_showServers = 200;
    static readonly RULE_allocationCommand = 201;
    static readonly RULE_deallocateDatabaseFromServers = 202;
    static readonly RULE_reallocateDatabases = 203;
    static readonly RULE_createRole = 204;
    static readonly RULE_dropRole = 205;
    static readonly RULE_renameRole = 206;
    static readonly RULE_showRoles = 207;
    static readonly RULE_grantRole = 208;
    static readonly RULE_revokeRole = 209;
    static readonly RULE_roleUser = 210;
    static readonly RULE_createUser = 211;
    static readonly RULE_dropUser = 212;
    static readonly RULE_renameUser = 213;
    static readonly RULE_alterCurrentUser = 214;
    static readonly RULE_alterUser = 215;
    static readonly RULE_setPassword = 216;
    static readonly RULE_passwordExpression = 217;
    static readonly RULE_passwordChangeRequired = 218;
    static readonly RULE_userStatus = 219;
    static readonly RULE_homeDatabase = 220;
    static readonly RULE_showUsers = 221;
    static readonly RULE_showCurrentUser = 222;
    static readonly RULE_showSupportedPrivileges = 223;
    static readonly RULE_showPrivileges = 224;
    static readonly RULE_showRolePrivileges = 225;
    static readonly RULE_showUserPrivileges = 226;
    static readonly RULE_grantRoleManagement = 227;
    static readonly RULE_revokeRoleManagement = 228;
    static readonly RULE_roleManagementPrivilege = 229;
    static readonly RULE_grantPrivilege = 230;
    static readonly RULE_denyPrivilege = 231;
    static readonly RULE_revokePrivilege = 232;
    static readonly RULE_privilege = 233;
    static readonly RULE_allPrivilege = 234;
    static readonly RULE_allPrivilegeType = 235;
    static readonly RULE_allPrivilegeTarget = 236;
    static readonly RULE_createPrivilege = 237;
    static readonly RULE_dropPrivilege = 238;
    static readonly RULE_loadPrivilege = 239;
    static readonly RULE_showPrivilege = 240;
    static readonly RULE_setPrivilege = 241;
    static readonly RULE_removePrivilege = 242;
    static readonly RULE_writePrivilege = 243;
    static readonly RULE_databasePrivilege = 244;
    static readonly RULE_dbmsPrivilege = 245;
    static readonly RULE_executeFunctionQualifier = 246;
    static readonly RULE_executeProcedureQualifier = 247;
    static readonly RULE_settingQualifier = 248;
    static readonly RULE_globs = 249;
    static readonly RULE_qualifiedGraphPrivilegesWithProperty = 250;
    static readonly RULE_qualifiedGraphPrivileges = 251;
    static readonly RULE_labelResource = 252;
    static readonly RULE_propertyResource = 253;
    static readonly RULE_graphQualifier = 254;
    static readonly RULE_createDatabase = 255;
    static readonly RULE_options_ = 256;
    static readonly RULE_createCompositeDatabase = 257;
    static readonly RULE_dropDatabase = 258;
    static readonly RULE_alterDatabase = 259;
    static readonly RULE_startDatabase = 260;
    static readonly RULE_stopDatabase = 261;
    static readonly RULE_waitClause = 262;
    static readonly RULE_showDatabase = 263;
    static readonly RULE_databaseScope = 264;
    static readonly RULE_graphScope = 265;
    static readonly RULE_createAlias = 266;
    static readonly RULE_dropAlias = 267;
    static readonly RULE_alterAlias = 268;
    static readonly RULE_showAliases = 269;
    static readonly RULE_symbolicAliasNameList = 270;
    static readonly RULE_symbolicAliasNameOrParameter = 271;
    static readonly RULE_symbolicAliasName = 272;
    static readonly RULE_symbolicNameOrStringParameterList = 273;
    static readonly RULE_symbolicNameOrStringParameter = 274;
    static readonly RULE_glob = 275;
    static readonly RULE_globRecursive = 276;
    static readonly RULE_globPart = 277;
    static readonly RULE_stringList = 278;
    static readonly RULE_stringLiteral = 279;
    static readonly RULE_stringOrParameter = 280;
    static readonly RULE_mapOrParameter = 281;
    static readonly RULE_map = 282;
    static readonly RULE_symbolicNamePositions = 283;
    static readonly RULE_symbolicNameString = 284;
    static readonly RULE_escapedSymbolicNameString = 285;
    static readonly RULE_unescapedSymbolicNameString = 286;
    static readonly RULE_symbolicLabelNameString = 287;
    static readonly RULE_unescapedLabelSymbolicNameString = 288;
    static readonly RULE_endOfFile = 289;
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly ruleNames: string[];
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    protected createFailedPredicateException(predicate?: string, message?: string): FailedPredicateException;
    constructor(input: TokenStream);
    statementsOrCommands(): StatementsOrCommandsContext;
    statementOrCommand(): StatementOrCommandContext;
    consoleCommand(): ConsoleCommandContext;
    paramsCmd(): ParamsCmdContext;
    paramsArgs(): ParamsArgsContext;
    lambda(): LambdaContext;
    clearCmd(): ClearCmdContext;
    historyCmd(): HistoryCmdContext;
    useCmd(): UseCmdContext;
    listCompletionRule(): ListCompletionRuleContext;
    useCompletionRule(): UseCompletionRuleContext;
    preparsedStatement(): PreparsedStatementContext;
    preparserOption(): PreparserOptionContext;
    statements(): StatementsContext;
    statement(): StatementContext;
    singleQueryOrCommand(): SingleQueryOrCommandContext;
    singleQueryOrCommandWithUseClause(): SingleQueryOrCommandWithUseClauseContext;
    periodicCommitQueryHintFailure(): PeriodicCommitQueryHintFailureContext;
    regularQuery(): RegularQueryContext;
    union(): UnionContext;
    singleQuery(): SingleQueryContext;
    singleQueryWithUseClause(): SingleQueryWithUseClauseContext;
    clause(): ClauseContext;
    useClause(): UseClauseContext;
    graphReference(): GraphReferenceContext;
    returnClause(): ReturnClauseContext;
    returnBody(): ReturnBodyContext;
    returnItem(): ReturnItemContext;
    returnItems(): ReturnItemsContext;
    orderItem(): OrderItemContext;
    skip(): SkipContext;
    limit(): LimitContext;
    whereClause(): WhereClauseContext;
    withClause(): WithClauseContext;
    createClause(): CreateClauseContext;
    insertClause(): InsertClauseContext;
    setClause(): SetClauseContext;
    setItem(): SetItemContext;
    removeClause(): RemoveClauseContext;
    removeItem(): RemoveItemContext;
    deleteClause(): DeleteClauseContext;
    matchClause(): MatchClauseContext;
    matchMode(): MatchModeContext;
    hints(): HintsContext;
    indexHintBody(): IndexHintBodyContext;
    mergeClause(): MergeClauseContext;
    unwindClause(): UnwindClauseContext;
    callClause(): CallClauseContext;
    procedureName(): ProcedureNameContext;
    procedureArgument(): ProcedureArgumentContext;
    procedureResultItem(): ProcedureResultItemContext;
    loadCSVClause(): LoadCSVClauseContext;
    foreachClause(): ForeachClauseContext;
    subqueryClause(): SubqueryClauseContext;
    subqueryInTransactionsParameters(): SubqueryInTransactionsParametersContext;
    subqueryInTransactionsBatchParameters(): SubqueryInTransactionsBatchParametersContext;
    subqueryInTransactionsErrorParameters(): SubqueryInTransactionsErrorParametersContext;
    subqueryInTransactionsReportParameters(): SubqueryInTransactionsReportParametersContext;
    patternList(): PatternListContext;
    insertPatternList(): InsertPatternListContext;
    pattern(): PatternContext;
    insertPattern(): InsertPatternContext;
    quantifier(): QuantifierContext;
    anonymousPattern(): AnonymousPatternContext;
    shortestPathPattern(): ShortestPathPatternContext;
    maybeQuantifiedRelationshipPattern(): MaybeQuantifiedRelationshipPatternContext;
    patternElement(): PatternElementContext;
    pathPatternAtoms(): PathPatternAtomsContext;
    insertPathPatternAtoms(): InsertPathPatternAtomsContext;
    selector(): SelectorContext;
    pathPatternNonEmpty(): PathPatternNonEmptyContext;
    nodePattern(): NodePatternContext;
    insertNodePattern(): InsertNodePatternContext;
    parenthesizedPath(): ParenthesizedPathContext;
    nodeLabels(): NodeLabelsContext;
    nodeLabelsIs(): NodeLabelsIsContext;
    labelOrRelType(): LabelOrRelTypeContext;
    labelOrRelTypes(): LabelOrRelTypesContext;
    properties(): PropertiesContext;
    relationshipPattern(): RelationshipPatternContext;
    insertRelationshipPattern(): InsertRelationshipPatternContext;
    leftArrow(): LeftArrowContext;
    arrowLine(): ArrowLineContext;
    rightArrow(): RightArrowContext;
    pathLength(): PathLengthContext;
    labelExpression(): LabelExpressionContext;
    labelExpression4(): LabelExpression4Context;
    labelExpression4Is(): LabelExpression4IsContext;
    labelExpression3(): LabelExpression3Context;
    labelExpression3Is(): LabelExpression3IsContext;
    labelExpression2(): LabelExpression2Context;
    labelExpression2Is(): LabelExpression2IsContext;
    labelExpression1(): LabelExpression1Context;
    labelExpression1Is(): LabelExpression1IsContext;
    insertNodeLabelExpression(): InsertNodeLabelExpressionContext;
    insertRelationshipLabelExpression(): InsertRelationshipLabelExpressionContext;
    insertLabelConjunction(): InsertLabelConjunctionContext;
    expression(): ExpressionContext;
    expression11(): Expression11Context;
    expression10(): Expression10Context;
    expression9(): Expression9Context;
    expression8(): Expression8Context;
    expression7(): Expression7Context;
    comparisonExpression6(): ComparisonExpression6Context;
    normalForm(): NormalFormContext;
    expression6(): Expression6Context;
    expression5(): Expression5Context;
    expression4(): Expression4Context;
    expression3(): Expression3Context;
    expression2(): Expression2Context;
    postFix(): PostFixContext;
    property(): PropertyContext;
    propertyExpression(): PropertyExpressionContext;
    expression1(): Expression1Context;
    literal(): LiteralContext;
    caseExpression(): CaseExpressionContext;
    caseAlternative(): CaseAlternativeContext;
    extendedCaseExpression(): ExtendedCaseExpressionContext;
    extendedCaseAlternative(): ExtendedCaseAlternativeContext;
    extendedWhen(): ExtendedWhenContext;
    listComprehension(): ListComprehensionContext;
    patternComprehension(): PatternComprehensionContext;
    patternComprehensionPrefix(): PatternComprehensionPrefixContext;
    reduceExpression(): ReduceExpressionContext;
    listItemsPredicate(): ListItemsPredicateContext;
    normalizeExpression(): NormalizeExpressionContext;
    patternExpression(): PatternExpressionContext;
    shortestPathExpression(): ShortestPathExpressionContext;
    parenthesizedExpression(): ParenthesizedExpressionContext;
    mapProjection(): MapProjectionContext;
    mapProjectionItem(): MapProjectionItemContext;
    existsExpression(): ExistsExpressionContext;
    countExpression(): CountExpressionContext;
    collectExpression(): CollectExpressionContext;
    numberLiteral(): NumberLiteralContext;
    signedIntegerLiteral(): SignedIntegerLiteralContext;
    listLiteral(): ListLiteralContext;
    propertyKeyName(): PropertyKeyNameContext;
    parameter(paramType: String): ParameterContext;
    parameterName(): ParameterNameContext;
    functionInvocation(): FunctionInvocationContext;
    functionArgument(): FunctionArgumentContext;
    functionName(): FunctionNameContext;
    namespace(): NamespaceContext;
    variableList1(): VariableList1Context;
    variable(): VariableContext;
    symbolicNameList1(): SymbolicNameList1Context;
    createCommand(): CreateCommandContext;
    command(): CommandContext;
    commandWithUseGraph(): CommandWithUseGraphContext;
    dropCommand(): DropCommandContext;
    alterCommand(): AlterCommandContext;
    showCommand(): ShowCommandContext;
    terminateCommand(): TerminateCommandContext;
    showAllCommand(): ShowAllCommandContext;
    showNodeCommand(): ShowNodeCommandContext;
    showRelationshipCommand(): ShowRelationshipCommandContext;
    showRelCommand(): ShowRelCommandContext;
    showPropertyCommand(): ShowPropertyCommandContext;
    yieldItem(): YieldItemContext;
    yieldClause(): YieldClauseContext;
    showIndexesAllowBrief(): ShowIndexesAllowBriefContext;
    showIndexesNoBrief(): ShowIndexesNoBriefContext;
    showConstraintsAllowBriefAndYield(): ShowConstraintsAllowBriefAndYieldContext;
    showConstraintsAllowBrief(): ShowConstraintsAllowBriefContext;
    showConstraintsAllowYield(): ShowConstraintsAllowYieldContext;
    showProcedures(): ShowProceduresContext;
    showFunctions(): ShowFunctionsContext;
    showTransactions(): ShowTransactionsContext;
    terminateTransactions(): TerminateTransactionsContext;
    showSettings(): ShowSettingsContext;
    composableCommandClauses(): ComposableCommandClausesContext;
    stringsOrExpression(): StringsOrExpressionContext;
    createConstraint(): CreateConstraintContext;
    type_(): TypeContext;
    typePart(): TypePartContext;
    typeName(): TypeNameContext;
    typeNullability(): TypeNullabilityContext;
    typeListSuffix(): TypeListSuffixContext;
    constraintNodePattern(): ConstraintNodePatternContext;
    constraintRelPattern(): ConstraintRelPatternContext;
    createConstraintNodeCheck(): CreateConstraintNodeCheckContext;
    createConstraintRelCheck(): CreateConstraintRelCheckContext;
    dropConstraint(): DropConstraintContext;
    dropConstraintNodeCheck(): DropConstraintNodeCheckContext;
    createIndex(): CreateIndexContext;
    oldCreateIndex(): OldCreateIndexContext;
    createIndex_(): CreateIndex_Context;
    createFulltextIndex(): CreateFulltextIndexContext;
    createLookupIndex(): CreateLookupIndexContext;
    lookupIndexFunctionName(): LookupIndexFunctionNameContext;
    dropIndex(): DropIndexContext;
    propertyList(): PropertyListContext;
    renameCommand(): RenameCommandContext;
    grantCommand(): GrantCommandContext;
    revokeCommand(): RevokeCommandContext;
    enableServerCommand(): EnableServerCommandContext;
    alterServer(): AlterServerContext;
    renameServer(): RenameServerContext;
    dropServer(): DropServerContext;
    showServers(): ShowServersContext;
    allocationCommand(): AllocationCommandContext;
    deallocateDatabaseFromServers(): DeallocateDatabaseFromServersContext;
    reallocateDatabases(): ReallocateDatabasesContext;
    createRole(): CreateRoleContext;
    dropRole(): DropRoleContext;
    renameRole(): RenameRoleContext;
    showRoles(): ShowRolesContext;
    grantRole(): GrantRoleContext;
    revokeRole(): RevokeRoleContext;
    roleUser(): RoleUserContext;
    createUser(): CreateUserContext;
    dropUser(): DropUserContext;
    renameUser(): RenameUserContext;
    alterCurrentUser(): AlterCurrentUserContext;
    alterUser(): AlterUserContext;
    setPassword(): SetPasswordContext;
    passwordExpression(): PasswordExpressionContext;
    passwordChangeRequired(): PasswordChangeRequiredContext;
    userStatus(): UserStatusContext;
    homeDatabase(): HomeDatabaseContext;
    showUsers(): ShowUsersContext;
    showCurrentUser(): ShowCurrentUserContext;
    showSupportedPrivileges(): ShowSupportedPrivilegesContext;
    showPrivileges(): ShowPrivilegesContext;
    showRolePrivileges(): ShowRolePrivilegesContext;
    showUserPrivileges(): ShowUserPrivilegesContext;
    grantRoleManagement(): GrantRoleManagementContext;
    revokeRoleManagement(): RevokeRoleManagementContext;
    roleManagementPrivilege(): RoleManagementPrivilegeContext;
    grantPrivilege(): GrantPrivilegeContext;
    denyPrivilege(): DenyPrivilegeContext;
    revokePrivilege(): RevokePrivilegeContext;
    privilege(): PrivilegeContext;
    allPrivilege(): AllPrivilegeContext;
    allPrivilegeType(): AllPrivilegeTypeContext;
    allPrivilegeTarget(): AllPrivilegeTargetContext;
    createPrivilege(): CreatePrivilegeContext;
    dropPrivilege(): DropPrivilegeContext;
    loadPrivilege(): LoadPrivilegeContext;
    showPrivilege(): ShowPrivilegeContext;
    setPrivilege(): SetPrivilegeContext;
    removePrivilege(): RemovePrivilegeContext;
    writePrivilege(): WritePrivilegeContext;
    databasePrivilege(): DatabasePrivilegeContext;
    dbmsPrivilege(): DbmsPrivilegeContext;
    executeFunctionQualifier(): ExecuteFunctionQualifierContext;
    executeProcedureQualifier(): ExecuteProcedureQualifierContext;
    settingQualifier(): SettingQualifierContext;
    globs(): GlobsContext;
    qualifiedGraphPrivilegesWithProperty(): QualifiedGraphPrivilegesWithPropertyContext;
    qualifiedGraphPrivileges(): QualifiedGraphPrivilegesContext;
    labelResource(): LabelResourceContext;
    propertyResource(): PropertyResourceContext;
    graphQualifier(): GraphQualifierContext;
    createDatabase(): CreateDatabaseContext;
    options_(): Options_Context;
    createCompositeDatabase(): CreateCompositeDatabaseContext;
    dropDatabase(): DropDatabaseContext;
    alterDatabase(): AlterDatabaseContext;
    startDatabase(): StartDatabaseContext;
    stopDatabase(): StopDatabaseContext;
    waitClause(): WaitClauseContext;
    showDatabase(): ShowDatabaseContext;
    databaseScope(): DatabaseScopeContext;
    graphScope(): GraphScopeContext;
    createAlias(): CreateAliasContext;
    dropAlias(): DropAliasContext;
    alterAlias(): AlterAliasContext;
    showAliases(): ShowAliasesContext;
    symbolicAliasNameList(): SymbolicAliasNameListContext;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    symbolicAliasName(): SymbolicAliasNameContext;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    glob(): GlobContext;
    globRecursive(): GlobRecursiveContext;
    globPart(): GlobPartContext;
    stringList(): StringListContext;
    stringLiteral(): StringLiteralContext;
    stringOrParameter(): StringOrParameterContext;
    mapOrParameter(): MapOrParameterContext;
    map(): MapContext;
    symbolicNamePositions(): SymbolicNamePositionsContext;
    symbolicNameString(): SymbolicNameStringContext;
    escapedSymbolicNameString(): EscapedSymbolicNameStringContext;
    unescapedSymbolicNameString(): UnescapedSymbolicNameStringContext;
    symbolicLabelNameString(): SymbolicLabelNameStringContext;
    unescapedLabelSymbolicNameString(): UnescapedLabelSymbolicNameStringContext;
    endOfFile(): EndOfFileContext;
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
export declare class StatementsOrCommandsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    statementOrCommand_list(): StatementOrCommandContext[];
    statementOrCommand(i: number): StatementOrCommandContext;
    EOF(): TerminalNode;
    SEMICOLON_list(): TerminalNode[];
    SEMICOLON(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StatementOrCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    preparsedStatement(): PreparsedStatementContext;
    consoleCommand(): ConsoleCommandContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ConsoleCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    COLON(): TerminalNode;
    clearCmd(): ClearCmdContext;
    historyCmd(): HistoryCmdContext;
    useCmd(): UseCmdContext;
    paramsCmd(): ParamsCmdContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ParamsCmdContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    PARAM(): TerminalNode;
    paramsArgs(): ParamsArgsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ParamsArgsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CLEAR(): TerminalNode;
    listCompletionRule(): ListCompletionRuleContext;
    map(): MapContext;
    lambda(): LambdaContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LambdaContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    unescapedSymbolicNameString(): UnescapedSymbolicNameStringContext;
    EQ(): TerminalNode;
    GT(): TerminalNode;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ClearCmdContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CLEAR(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class HistoryCmdContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    HISTORY(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class UseCmdContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    useCompletionRule(): UseCompletionRuleContext;
    symbolicAliasName(): SymbolicAliasNameContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ListCompletionRuleContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LIST(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class UseCompletionRuleContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    USE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PreparsedStatementContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    statement(): StatementContext;
    preparserOption(): PreparserOptionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PreparserOptionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    EXPLAIN(): TerminalNode;
    PROFILE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StatementsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    statement_list(): StatementContext[];
    statement(i: number): StatementContext;
    EOF(): TerminalNode;
    SEMICOLON_list(): TerminalNode[];
    SEMICOLON(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StatementContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    useClause(): UseClauseContext;
    singleQueryOrCommandWithUseClause(): SingleQueryOrCommandWithUseClauseContext;
    singleQueryOrCommand(): SingleQueryOrCommandContext;
    periodicCommitQueryHintFailure(): PeriodicCommitQueryHintFailureContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SingleQueryOrCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    createCommand(): CreateCommandContext;
    command(): CommandContext;
    singleQuery(): SingleQueryContext;
    union_list(): UnionContext[];
    union(i: number): UnionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SingleQueryOrCommandWithUseClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    createCommand(): CreateCommandContext;
    command(): CommandContext;
    singleQueryWithUseClause(): SingleQueryWithUseClauseContext;
    union_list(): UnionContext[];
    union(i: number): UnionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PeriodicCommitQueryHintFailureContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    USING(): TerminalNode;
    PERIODIC(): TerminalNode;
    COMMIT(): TerminalNode;
    UNSIGNED_DECIMAL_INTEGER(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RegularQueryContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    singleQuery(): SingleQueryContext;
    union_list(): UnionContext[];
    union(i: number): UnionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class UnionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    UNION(): TerminalNode;
    singleQuery(): SingleQueryContext;
    ALL(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SingleQueryContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    clause_list(): ClauseContext[];
    clause(i: number): ClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SingleQueryWithUseClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    clause_list(): ClauseContext[];
    clause(i: number): ClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    useClause(): UseClauseContext;
    returnClause(): ReturnClauseContext;
    createClause(): CreateClauseContext;
    insertClause(): InsertClauseContext;
    deleteClause(): DeleteClauseContext;
    setClause(): SetClauseContext;
    removeClause(): RemoveClauseContext;
    matchClause(): MatchClauseContext;
    mergeClause(): MergeClauseContext;
    withClause(): WithClauseContext;
    unwindClause(): UnwindClauseContext;
    callClause(): CallClauseContext;
    subqueryClause(): SubqueryClauseContext;
    loadCSVClause(): LoadCSVClauseContext;
    foreachClause(): ForeachClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class UseClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    USE(): TerminalNode;
    GRAPH(): TerminalNode;
    graphReference(): GraphReferenceContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GraphReferenceContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LPAREN(): TerminalNode;
    graphReference(): GraphReferenceContext;
    RPAREN(): TerminalNode;
    functionInvocation(): FunctionInvocationContext;
    symbolicAliasName(): SymbolicAliasNameContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ReturnClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    RETURN(): TerminalNode;
    returnBody(): ReturnBodyContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ReturnBodyContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    returnItems(): ReturnItemsContext;
    DISTINCT(): TerminalNode;
    ORDER(): TerminalNode;
    BY(): TerminalNode;
    orderItem_list(): OrderItemContext[];
    orderItem(i: number): OrderItemContext;
    skip(): SkipContext;
    limit(): LimitContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ReturnItemContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression(): ExpressionContext;
    AS(): TerminalNode;
    variable(): VariableContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ReturnItemsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    TIMES(): TerminalNode;
    returnItem_list(): ReturnItemContext[];
    returnItem(i: number): ReturnItemContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class OrderItemContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression(): ExpressionContext;
    DESC(): TerminalNode;
    DESCENDING(): TerminalNode;
    ASC(): TerminalNode;
    ASCENDING(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SkipContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SKIPROWS(): TerminalNode;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LimitContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LIMITROWS(): TerminalNode;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WhereClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    WHERE(): TerminalNode;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WithClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    WITH(): TerminalNode;
    returnBody(): ReturnBodyContext;
    whereClause(): WhereClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CREATE(): TerminalNode;
    patternList(): PatternListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    INSERT(): TerminalNode;
    insertPatternList(): InsertPatternListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SetClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SET(): TerminalNode;
    setItem_list(): SetItemContext[];
    setItem(i: number): SetItemContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SetItemContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    propertyExpression(): PropertyExpressionContext;
    EQ(): TerminalNode;
    expression(): ExpressionContext;
    variable(): VariableContext;
    PLUSEQUAL(): TerminalNode;
    nodeLabels(): NodeLabelsContext;
    nodeLabelsIs(): NodeLabelsIsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RemoveClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    REMOVE(): TerminalNode;
    removeItem_list(): RemoveItemContext[];
    removeItem(i: number): RemoveItemContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RemoveItemContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    propertyExpression(): PropertyExpressionContext;
    variable(): VariableContext;
    nodeLabels(): NodeLabelsContext;
    nodeLabelsIs(): NodeLabelsIsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DeleteClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DELETE(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    DETACH(): TerminalNode;
    NODETACH(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class MatchClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    patternList(): PatternListContext;
    MATCH(): TerminalNode;
    matchMode(): MatchModeContext;
    hints_list(): HintsContext[];
    hints(i: number): HintsContext;
    whereClause(): WhereClauseContext;
    OPTIONAL(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class MatchModeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    REPEATABLE(): TerminalNode;
    ELEMENT(): TerminalNode;
    BINDINGS(): TerminalNode;
    ELEMENTS(): TerminalNode;
    DIFFERENT(): TerminalNode;
    RELATIONSHIP(): TerminalNode;
    RELATIONSHIPS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class HintsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    USING(): TerminalNode;
    INDEX(): TerminalNode;
    indexHintBody(): IndexHintBodyContext;
    BTREE(): TerminalNode;
    TEXT(): TerminalNode;
    RANGE(): TerminalNode;
    POINT(): TerminalNode;
    JOIN(): TerminalNode;
    ON(): TerminalNode;
    variableList1(): VariableList1Context;
    SCAN(): TerminalNode;
    variable(): VariableContext;
    labelOrRelType(): LabelOrRelTypeContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class IndexHintBodyContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    variable(): VariableContext;
    labelOrRelType(): LabelOrRelTypeContext;
    LPAREN(): TerminalNode;
    symbolicNameList1(): SymbolicNameList1Context;
    RPAREN(): TerminalNode;
    SEEK(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class MergeClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    MERGE(): TerminalNode;
    pattern(): PatternContext;
    ON_list(): TerminalNode[];
    ON(i: number): TerminalNode;
    MATCH_list(): TerminalNode[];
    MATCH(i: number): TerminalNode;
    setClause_list(): SetClauseContext[];
    setClause(i: number): SetClauseContext;
    CREATE_list(): TerminalNode[];
    CREATE(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class UnwindClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    UNWIND(): TerminalNode;
    expression(): ExpressionContext;
    AS(): TerminalNode;
    variable(): VariableContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CallClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CALL(): TerminalNode;
    procedureName(): ProcedureNameContext;
    LPAREN(): TerminalNode;
    RPAREN(): TerminalNode;
    YIELD(): TerminalNode;
    TIMES(): TerminalNode;
    procedureResultItem_list(): ProcedureResultItemContext[];
    procedureResultItem(i: number): ProcedureResultItemContext;
    procedureArgument_list(): ProcedureArgumentContext[];
    procedureArgument(i: number): ProcedureArgumentContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    whereClause(): WhereClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ProcedureNameContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    namespace(): NamespaceContext;
    symbolicNameString(): SymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ProcedureArgumentContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ProcedureResultItemContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString(): SymbolicNameStringContext;
    AS(): TerminalNode;
    variable(): VariableContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LoadCSVClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LOAD(): TerminalNode;
    CSV(): TerminalNode;
    FROM(): TerminalNode;
    expression(): ExpressionContext;
    AS(): TerminalNode;
    variable(): VariableContext;
    WITH(): TerminalNode;
    HEADERS(): TerminalNode;
    FIELDTERMINATOR(): TerminalNode;
    stringLiteral(): StringLiteralContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ForeachClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    FOREACH(): TerminalNode;
    LPAREN(): TerminalNode;
    variable(): VariableContext;
    IN(): TerminalNode;
    expression(): ExpressionContext;
    BAR(): TerminalNode;
    RPAREN(): TerminalNode;
    clause_list(): ClauseContext[];
    clause(i: number): ClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SubqueryClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CALL(): TerminalNode;
    LCURLY(): TerminalNode;
    regularQuery(): RegularQueryContext;
    RCURLY(): TerminalNode;
    subqueryInTransactionsParameters(): SubqueryInTransactionsParametersContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SubqueryInTransactionsParametersContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    IN(): TerminalNode;
    TRANSACTIONS(): TerminalNode;
    CONCURRENT(): TerminalNode;
    subqueryInTransactionsBatchParameters_list(): SubqueryInTransactionsBatchParametersContext[];
    subqueryInTransactionsBatchParameters(i: number): SubqueryInTransactionsBatchParametersContext;
    subqueryInTransactionsErrorParameters_list(): SubqueryInTransactionsErrorParametersContext[];
    subqueryInTransactionsErrorParameters(i: number): SubqueryInTransactionsErrorParametersContext;
    subqueryInTransactionsReportParameters_list(): SubqueryInTransactionsReportParametersContext[];
    subqueryInTransactionsReportParameters(i: number): SubqueryInTransactionsReportParametersContext;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SubqueryInTransactionsBatchParametersContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    OF(): TerminalNode;
    expression(): ExpressionContext;
    ROW(): TerminalNode;
    ROWS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SubqueryInTransactionsErrorParametersContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ON(): TerminalNode;
    ERROR(): TerminalNode;
    CONTINUE(): TerminalNode;
    BREAK(): TerminalNode;
    FAIL(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SubqueryInTransactionsReportParametersContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    REPORT(): TerminalNode;
    STATUS(): TerminalNode;
    AS(): TerminalNode;
    variable(): VariableContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PatternListContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    pattern_list(): PatternContext[];
    pattern(i: number): PatternContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertPatternListContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    insertPattern_list(): InsertPatternContext[];
    insertPattern(i: number): InsertPatternContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    anonymousPattern(): AnonymousPatternContext;
    variable(): VariableContext;
    EQ(): TerminalNode;
    selector(): SelectorContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertPatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    insertPathPatternAtoms(): InsertPathPatternAtomsContext;
    symbolicNameString(): SymbolicNameStringContext;
    EQ(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class QuantifierContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LCURLY(): TerminalNode;
    UNSIGNED_DECIMAL_INTEGER_list(): TerminalNode[];
    UNSIGNED_DECIMAL_INTEGER(i: number): TerminalNode;
    RCURLY(): TerminalNode;
    COMMA(): TerminalNode;
    PLUS(): TerminalNode;
    TIMES(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AnonymousPatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    shortestPathPattern(): ShortestPathPatternContext;
    patternElement(): PatternElementContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShortestPathPatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SHORTEST_PATH(): TerminalNode;
    LPAREN(): TerminalNode;
    patternElement(): PatternElementContext;
    RPAREN(): TerminalNode;
    ALL_SHORTEST_PATH(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class MaybeQuantifiedRelationshipPatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    relationshipPattern(): RelationshipPatternContext;
    quantifier(): QuantifierContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PatternElementContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    pathPatternAtoms(): PathPatternAtomsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PathPatternAtomsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    nodePattern_list(): NodePatternContext[];
    nodePattern(i: number): NodePatternContext;
    parenthesizedPath_list(): ParenthesizedPathContext[];
    parenthesizedPath(i: number): ParenthesizedPathContext;
    maybeQuantifiedRelationshipPattern_list(): MaybeQuantifiedRelationshipPatternContext[];
    maybeQuantifiedRelationshipPattern(i: number): MaybeQuantifiedRelationshipPatternContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertPathPatternAtomsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    insertNodePattern_list(): InsertNodePatternContext[];
    insertNodePattern(i: number): InsertNodePatternContext;
    insertRelationshipPattern_list(): InsertRelationshipPatternContext[];
    insertRelationshipPattern(i: number): InsertRelationshipPatternContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SelectorContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ANY(): TerminalNode;
    SHORTEST(): TerminalNode;
    ALL(): TerminalNode;
    UNSIGNED_DECIMAL_INTEGER(): TerminalNode;
    GROUP(): TerminalNode;
    GROUPS(): TerminalNode;
    PATH(): TerminalNode;
    PATHS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PathPatternNonEmptyContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    nodePattern_list(): NodePatternContext[];
    nodePattern(i: number): NodePatternContext;
    relationshipPattern_list(): RelationshipPatternContext[];
    relationshipPattern(i: number): RelationshipPatternContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NodePatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LPAREN(): TerminalNode;
    RPAREN(): TerminalNode;
    variable(): VariableContext;
    labelExpression(): LabelExpressionContext;
    properties(): PropertiesContext;
    WHERE(): TerminalNode;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertNodePatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LPAREN(): TerminalNode;
    RPAREN(): TerminalNode;
    variable(): VariableContext;
    insertNodeLabelExpression(): InsertNodeLabelExpressionContext;
    properties(): PropertiesContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ParenthesizedPathContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LPAREN(): TerminalNode;
    pattern(): PatternContext;
    RPAREN(): TerminalNode;
    WHERE(): TerminalNode;
    expression(): ExpressionContext;
    quantifier(): QuantifierContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NodeLabelsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    labelOrRelType_list(): LabelOrRelTypeContext[];
    labelOrRelType(i: number): LabelOrRelTypeContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NodeLabelsIsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    IS(): TerminalNode;
    symbolicNameString(): SymbolicNameStringContext;
    labelOrRelType_list(): LabelOrRelTypeContext[];
    labelOrRelType(i: number): LabelOrRelTypeContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelOrRelTypeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    COLON(): TerminalNode;
    symbolicNameString(): SymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelOrRelTypesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    COLON(): TerminalNode;
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    BAR_list(): TerminalNode[];
    BAR(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PropertiesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    map(): MapContext;
    parameter(): ParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RelationshipPatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    arrowLine_list(): ArrowLineContext[];
    arrowLine(i: number): ArrowLineContext;
    leftArrow(): LeftArrowContext;
    LBRACKET(): TerminalNode;
    RBRACKET(): TerminalNode;
    rightArrow(): RightArrowContext;
    variable(): VariableContext;
    labelExpression(): LabelExpressionContext;
    pathLength(): PathLengthContext;
    properties(): PropertiesContext;
    WHERE(): TerminalNode;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertRelationshipPatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    arrowLine_list(): ArrowLineContext[];
    arrowLine(i: number): ArrowLineContext;
    LBRACKET(): TerminalNode;
    insertRelationshipLabelExpression(): InsertRelationshipLabelExpressionContext;
    RBRACKET(): TerminalNode;
    leftArrow(): LeftArrowContext;
    variable(): VariableContext;
    properties(): PropertiesContext;
    rightArrow(): RightArrowContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LeftArrowContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LT(): TerminalNode;
    ARROW_LEFT_HEAD(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ArrowLineContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ARROW_LINE(): TerminalNode;
    MINUS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RightArrowContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    GT(): TerminalNode;
    ARROW_RIGHT_HEAD(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PathLengthContext extends ParserRuleContext {
    _from_: Token;
    _to: Token;
    _single: Token;
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    TIMES(): TerminalNode;
    DOTDOT(): TerminalNode;
    UNSIGNED_DECIMAL_INTEGER_list(): TerminalNode[];
    UNSIGNED_DECIMAL_INTEGER(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    COLON(): TerminalNode;
    labelExpression4(): LabelExpression4Context;
    IS(): TerminalNode;
    labelExpression4Is(): LabelExpression4IsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpression4Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    labelExpression3_list(): LabelExpression3Context[];
    labelExpression3(i: number): LabelExpression3Context;
    BAR_list(): TerminalNode[];
    BAR(i: number): TerminalNode;
    COLON_list(): TerminalNode[];
    COLON(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpression4IsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    labelExpression3Is_list(): LabelExpression3IsContext[];
    labelExpression3Is(i: number): LabelExpression3IsContext;
    BAR_list(): TerminalNode[];
    BAR(i: number): TerminalNode;
    COLON_list(): TerminalNode[];
    COLON(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpression3Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    labelExpression2_list(): LabelExpression2Context[];
    labelExpression2(i: number): LabelExpression2Context;
    AMPERSAND_list(): TerminalNode[];
    AMPERSAND(i: number): TerminalNode;
    COLON_list(): TerminalNode[];
    COLON(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpression3IsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    labelExpression2Is_list(): LabelExpression2IsContext[];
    labelExpression2Is(i: number): LabelExpression2IsContext;
    AMPERSAND_list(): TerminalNode[];
    AMPERSAND(i: number): TerminalNode;
    COLON_list(): TerminalNode[];
    COLON(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpression2Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    labelExpression1(): LabelExpression1Context;
    EXCLAMATION_MARK_list(): TerminalNode[];
    EXCLAMATION_MARK(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpression2IsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    labelExpression1Is(): LabelExpression1IsContext;
    EXCLAMATION_MARK_list(): TerminalNode[];
    EXCLAMATION_MARK(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpression1Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    get ruleIndex(): number;
    copyFrom(ctx: LabelExpression1Context): void;
}
export declare class AnyLabelContext extends LabelExpression1Context {
    constructor(parser: CypherCmdParser, ctx: LabelExpression1Context);
    PERCENT(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelNameContext extends LabelExpression1Context {
    constructor(parser: CypherCmdParser, ctx: LabelExpression1Context);
    symbolicNameString(): SymbolicNameStringContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ParenthesizedLabelExpressionContext extends LabelExpression1Context {
    constructor(parser: CypherCmdParser, ctx: LabelExpression1Context);
    LPAREN(): TerminalNode;
    labelExpression4(): LabelExpression4Context;
    RPAREN(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelExpression1IsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    get ruleIndex(): number;
    copyFrom(ctx: LabelExpression1IsContext): void;
}
export declare class ParenthesizedLabelExpressionIsContext extends LabelExpression1IsContext {
    constructor(parser: CypherCmdParser, ctx: LabelExpression1IsContext);
    LPAREN(): TerminalNode;
    labelExpression4Is(): LabelExpression4IsContext;
    RPAREN(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AnyLabelIsContext extends LabelExpression1IsContext {
    constructor(parser: CypherCmdParser, ctx: LabelExpression1IsContext);
    PERCENT(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelNameIsContext extends LabelExpression1IsContext {
    constructor(parser: CypherCmdParser, ctx: LabelExpression1IsContext);
    symbolicLabelNameString(): SymbolicLabelNameStringContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertNodeLabelExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    insertLabelConjunction(): InsertLabelConjunctionContext;
    COLON(): TerminalNode;
    IS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertRelationshipLabelExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString(): SymbolicNameStringContext;
    COLON(): TerminalNode;
    IS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class InsertLabelConjunctionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    AMPERSAND_list(): TerminalNode[];
    AMPERSAND(i: number): TerminalNode;
    COLON_list(): TerminalNode[];
    COLON(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression11_list(): Expression11Context[];
    expression11(i: number): Expression11Context;
    OR_list(): TerminalNode[];
    OR(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression11Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression10_list(): Expression10Context[];
    expression10(i: number): Expression10Context;
    XOR_list(): TerminalNode[];
    XOR(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression10Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression9_list(): Expression9Context[];
    expression9(i: number): Expression9Context;
    AND_list(): TerminalNode[];
    AND(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression9Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression8(): Expression8Context;
    NOT_list(): TerminalNode[];
    NOT(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression8Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression7_list(): Expression7Context[];
    expression7(i: number): Expression7Context;
    EQ_list(): TerminalNode[];
    EQ(i: number): TerminalNode;
    INVALID_NEQ_list(): TerminalNode[];
    INVALID_NEQ(i: number): TerminalNode;
    NEQ_list(): TerminalNode[];
    NEQ(i: number): TerminalNode;
    LE_list(): TerminalNode[];
    LE(i: number): TerminalNode;
    GE_list(): TerminalNode[];
    GE(i: number): TerminalNode;
    LT_list(): TerminalNode[];
    LT(i: number): TerminalNode;
    GT_list(): TerminalNode[];
    GT(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression7Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression6(): Expression6Context;
    comparisonExpression6(): ComparisonExpression6Context;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ComparisonExpression6Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    get ruleIndex(): number;
    copyFrom(ctx: ComparisonExpression6Context): void;
}
export declare class TypeComparisonContext extends ComparisonExpression6Context {
    constructor(parser: CypherCmdParser, ctx: ComparisonExpression6Context);
    type_(): TypeContext;
    IS(): TerminalNode;
    COLONCOLON(): TerminalNode;
    TYPED(): TerminalNode;
    NOT(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StringAndListComparisonContext extends ComparisonExpression6Context {
    constructor(parser: CypherCmdParser, ctx: ComparisonExpression6Context);
    expression6(): Expression6Context;
    REGEQ(): TerminalNode;
    STARTS(): TerminalNode;
    WITH(): TerminalNode;
    ENDS(): TerminalNode;
    CONTAINS(): TerminalNode;
    IN(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NormalFormComparisonContext extends ComparisonExpression6Context {
    constructor(parser: CypherCmdParser, ctx: ComparisonExpression6Context);
    IS(): TerminalNode;
    NORMALIZED(): TerminalNode;
    NOT(): TerminalNode;
    normalForm(): NormalFormContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NullComparisonContext extends ComparisonExpression6Context {
    constructor(parser: CypherCmdParser, ctx: ComparisonExpression6Context);
    IS(): TerminalNode;
    NULL(): TerminalNode;
    NOT(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NormalFormContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    NFC(): TerminalNode;
    NFD(): TerminalNode;
    NFKC(): TerminalNode;
    NFKD(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression6Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression5_list(): Expression5Context[];
    expression5(i: number): Expression5Context;
    PLUS_list(): TerminalNode[];
    PLUS(i: number): TerminalNode;
    MINUS_list(): TerminalNode[];
    MINUS(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression5Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression4_list(): Expression4Context[];
    expression4(i: number): Expression4Context;
    TIMES_list(): TerminalNode[];
    TIMES(i: number): TerminalNode;
    DIVIDE_list(): TerminalNode[];
    DIVIDE(i: number): TerminalNode;
    PERCENT_list(): TerminalNode[];
    PERCENT(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression4Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression3_list(): Expression3Context[];
    expression3(i: number): Expression3Context;
    POW_list(): TerminalNode[];
    POW(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression3Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression2(): Expression2Context;
    PLUS(): TerminalNode;
    MINUS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression2Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression1(): Expression1Context;
    postFix_list(): PostFixContext[];
    postFix(i: number): PostFixContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PostFixContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    get ruleIndex(): number;
    copyFrom(ctx: PostFixContext): void;
}
export declare class IndexPostfixContext extends PostFixContext {
    constructor(parser: CypherCmdParser, ctx: PostFixContext);
    LBRACKET(): TerminalNode;
    expression(): ExpressionContext;
    RBRACKET(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PropertyPostfixContext extends PostFixContext {
    constructor(parser: CypherCmdParser, ctx: PostFixContext);
    property(): PropertyContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelPostfixContext extends PostFixContext {
    constructor(parser: CypherCmdParser, ctx: PostFixContext);
    labelExpression(): LabelExpressionContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RangePostfixContext extends PostFixContext {
    _fromExp: ExpressionContext;
    _toExp: ExpressionContext;
    constructor(parser: CypherCmdParser, ctx: PostFixContext);
    LBRACKET(): TerminalNode;
    DOTDOT(): TerminalNode;
    RBRACKET(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PropertyContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DOT(): TerminalNode;
    propertyKeyName(): PropertyKeyNameContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PropertyExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression1(): Expression1Context;
    property_list(): PropertyContext[];
    property(i: number): PropertyContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Expression1Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    literal(): LiteralContext;
    parameter(): ParameterContext;
    caseExpression(): CaseExpressionContext;
    extendedCaseExpression(): ExtendedCaseExpressionContext;
    COUNT(): TerminalNode;
    LPAREN(): TerminalNode;
    TIMES(): TerminalNode;
    RPAREN(): TerminalNode;
    existsExpression(): ExistsExpressionContext;
    countExpression(): CountExpressionContext;
    collectExpression(): CollectExpressionContext;
    mapProjection(): MapProjectionContext;
    listComprehension(): ListComprehensionContext;
    listLiteral(): ListLiteralContext;
    patternComprehension(): PatternComprehensionContext;
    reduceExpression(): ReduceExpressionContext;
    listItemsPredicate(): ListItemsPredicateContext;
    normalizeExpression(): NormalizeExpressionContext;
    patternExpression(): PatternExpressionContext;
    shortestPathExpression(): ShortestPathExpressionContext;
    parenthesizedExpression(): ParenthesizedExpressionContext;
    functionInvocation(): FunctionInvocationContext;
    variable(): VariableContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LiteralContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    get ruleIndex(): number;
    copyFrom(ctx: LiteralContext): void;
}
export declare class NummericLiteralContext extends LiteralContext {
    constructor(parser: CypherCmdParser, ctx: LiteralContext);
    numberLiteral(): NumberLiteralContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class BooleanLiteralContext extends LiteralContext {
    constructor(parser: CypherCmdParser, ctx: LiteralContext);
    TRUE(): TerminalNode;
    FALSE(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class KeywordLiteralContext extends LiteralContext {
    constructor(parser: CypherCmdParser, ctx: LiteralContext);
    INFINITY(): TerminalNode;
    NAN(): TerminalNode;
    NULL(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class OtherLiteralContext extends LiteralContext {
    constructor(parser: CypherCmdParser, ctx: LiteralContext);
    map(): MapContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StringsLiteralContext extends LiteralContext {
    constructor(parser: CypherCmdParser, ctx: LiteralContext);
    stringLiteral(): StringLiteralContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CaseExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CASE(): TerminalNode;
    END(): TerminalNode;
    caseAlternative_list(): CaseAlternativeContext[];
    caseAlternative(i: number): CaseAlternativeContext;
    ELSE(): TerminalNode;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CaseAlternativeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    WHEN(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    THEN(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ExtendedCaseExpressionContext extends ParserRuleContext {
    _elseExp: ExpressionContext;
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CASE(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    END(): TerminalNode;
    extendedCaseAlternative_list(): ExtendedCaseAlternativeContext[];
    extendedCaseAlternative(i: number): ExtendedCaseAlternativeContext;
    ELSE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ExtendedCaseAlternativeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    WHEN(): TerminalNode;
    extendedWhen_list(): ExtendedWhenContext[];
    extendedWhen(i: number): ExtendedWhenContext;
    THEN(): TerminalNode;
    expression(): ExpressionContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ExtendedWhenContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    get ruleIndex(): number;
    copyFrom(ctx: ExtendedWhenContext): void;
}
export declare class WhenStringOrListContext extends ExtendedWhenContext {
    constructor(parser: CypherCmdParser, ctx: ExtendedWhenContext);
    expression6(): Expression6Context;
    REGEQ(): TerminalNode;
    STARTS(): TerminalNode;
    WITH(): TerminalNode;
    ENDS(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WhenTypeContext extends ExtendedWhenContext {
    constructor(parser: CypherCmdParser, ctx: ExtendedWhenContext);
    type_(): TypeContext;
    IS(): TerminalNode;
    TYPED(): TerminalNode;
    COLONCOLON(): TerminalNode;
    NOT(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WhenFormContext extends ExtendedWhenContext {
    constructor(parser: CypherCmdParser, ctx: ExtendedWhenContext);
    IS(): TerminalNode;
    NORMALIZED(): TerminalNode;
    NOT(): TerminalNode;
    normalForm(): NormalFormContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WhenNullContext extends ExtendedWhenContext {
    constructor(parser: CypherCmdParser, ctx: ExtendedWhenContext);
    IS(): TerminalNode;
    NULL(): TerminalNode;
    NOT(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WhenEqualsContext extends ExtendedWhenContext {
    constructor(parser: CypherCmdParser, ctx: ExtendedWhenContext);
    expression(): ExpressionContext;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WhenComparatorContext extends ExtendedWhenContext {
    constructor(parser: CypherCmdParser, ctx: ExtendedWhenContext);
    expression7(): Expression7Context;
    EQ(): TerminalNode;
    NEQ(): TerminalNode;
    INVALID_NEQ(): TerminalNode;
    LE(): TerminalNode;
    GE(): TerminalNode;
    LT(): TerminalNode;
    GT(): TerminalNode;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ListComprehensionContext extends ParserRuleContext {
    _whereExp: ExpressionContext;
    _barExp: ExpressionContext;
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LBRACKET(): TerminalNode;
    variable(): VariableContext;
    IN(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    BAR(): TerminalNode;
    RBRACKET(): TerminalNode;
    WHERE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PatternComprehensionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LBRACKET(): TerminalNode;
    pathPatternNonEmpty(): PathPatternNonEmptyContext;
    BAR(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    RBRACKET(): TerminalNode;
    variable(): VariableContext;
    EQ(): TerminalNode;
    WHERE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PatternComprehensionPrefixContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LBRACKET(): TerminalNode;
    pathPatternNonEmpty(): PathPatternNonEmptyContext;
    WHERE(): TerminalNode;
    BAR(): TerminalNode;
    variable(): VariableContext;
    EQ(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ReduceExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    REDUCE(): TerminalNode;
    LPAREN(): TerminalNode;
    variable_list(): VariableContext[];
    variable(i: number): VariableContext;
    EQ(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    COMMA(): TerminalNode;
    IN(): TerminalNode;
    BAR(): TerminalNode;
    RPAREN(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ListItemsPredicateContext extends ParserRuleContext {
    _inExp: ExpressionContext;
    _whereExp: ExpressionContext;
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LPAREN(): TerminalNode;
    variable(): VariableContext;
    IN(): TerminalNode;
    RPAREN(): TerminalNode;
    ALL(): TerminalNode;
    ANY(): TerminalNode;
    NONE(): TerminalNode;
    SINGLE(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    WHERE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NormalizeExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    NORMALIZE(): TerminalNode;
    LPAREN(): TerminalNode;
    expression(): ExpressionContext;
    RPAREN(): TerminalNode;
    COMMA(): TerminalNode;
    normalForm(): NormalFormContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PatternExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    pathPatternNonEmpty(): PathPatternNonEmptyContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShortestPathExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    shortestPathPattern(): ShortestPathPatternContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ParenthesizedExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LPAREN(): TerminalNode;
    expression(): ExpressionContext;
    RPAREN(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class MapProjectionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    variable(): VariableContext;
    LCURLY(): TerminalNode;
    RCURLY(): TerminalNode;
    mapProjectionItem_list(): MapProjectionItemContext[];
    mapProjectionItem(i: number): MapProjectionItemContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class MapProjectionItemContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    propertyKeyName(): PropertyKeyNameContext;
    COLON(): TerminalNode;
    expression(): ExpressionContext;
    DOT(): TerminalNode;
    variable(): VariableContext;
    TIMES(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ExistsExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    EXISTS(): TerminalNode;
    LCURLY(): TerminalNode;
    RCURLY(): TerminalNode;
    regularQuery(): RegularQueryContext;
    patternList(): PatternListContext;
    matchMode(): MatchModeContext;
    whereClause(): WhereClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CountExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    COUNT(): TerminalNode;
    LCURLY(): TerminalNode;
    RCURLY(): TerminalNode;
    regularQuery(): RegularQueryContext;
    patternList(): PatternListContext;
    matchMode(): MatchModeContext;
    whereClause(): WhereClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CollectExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    COLLECT(): TerminalNode;
    LCURLY(): TerminalNode;
    regularQuery(): RegularQueryContext;
    RCURLY(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NumberLiteralContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DECIMAL_DOUBLE(): TerminalNode;
    UNSIGNED_DECIMAL_INTEGER(): TerminalNode;
    UNSIGNED_HEX_INTEGER(): TerminalNode;
    UNSIGNED_OCTAL_INTEGER(): TerminalNode;
    MINUS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SignedIntegerLiteralContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    UNSIGNED_DECIMAL_INTEGER(): TerminalNode;
    MINUS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ListLiteralContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LBRACKET(): TerminalNode;
    RBRACKET(): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PropertyKeyNameContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString(): SymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ParameterContext extends ParserRuleContext {
    paramType: String;
    constructor(parser: CypherCmdParser, parent: ParserRuleContext, invokingState: number, paramType: String);
    DOLLAR(): TerminalNode;
    parameterName(): ParameterNameContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ParameterNameContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    variable(): VariableContext;
    UNSIGNED_DECIMAL_INTEGER(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class FunctionInvocationContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    functionName(): FunctionNameContext;
    LPAREN(): TerminalNode;
    RPAREN(): TerminalNode;
    DISTINCT(): TerminalNode;
    functionArgument_list(): FunctionArgumentContext[];
    functionArgument(i: number): FunctionArgumentContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class FunctionArgumentContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class FunctionNameContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    namespace(): NamespaceContext;
    symbolicNameString(): SymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class NamespaceContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    DOT_list(): TerminalNode[];
    DOT(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class VariableList1Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class VariableContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString(): SymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicNameList1Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CREATE(): TerminalNode;
    createRole(): CreateRoleContext;
    createUser(): CreateUserContext;
    createDatabase(): CreateDatabaseContext;
    createConstraint(): CreateConstraintContext;
    createIndex(): CreateIndexContext;
    createAlias(): CreateAliasContext;
    createCompositeDatabase(): CreateCompositeDatabaseContext;
    OR(): TerminalNode;
    REPLACE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    commandWithUseGraph(): CommandWithUseGraphContext;
    showCommand(): ShowCommandContext;
    terminateCommand(): TerminateCommandContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CommandWithUseGraphContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    dropCommand(): DropCommandContext;
    alterCommand(): AlterCommandContext;
    renameCommand(): RenameCommandContext;
    denyPrivilege(): DenyPrivilegeContext;
    revokeCommand(): RevokeCommandContext;
    grantCommand(): GrantCommandContext;
    startDatabase(): StartDatabaseContext;
    stopDatabase(): StopDatabaseContext;
    enableServerCommand(): EnableServerCommandContext;
    allocationCommand(): AllocationCommandContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DROP(): TerminalNode;
    dropRole(): DropRoleContext;
    dropUser(): DropUserContext;
    dropDatabase(): DropDatabaseContext;
    dropConstraint(): DropConstraintContext;
    dropIndex(): DropIndexContext;
    dropAlias(): DropAliasContext;
    dropServer(): DropServerContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AlterCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ALTER(): TerminalNode;
    alterDatabase(): AlterDatabaseContext;
    alterAlias(): AlterAliasContext;
    alterCurrentUser(): AlterCurrentUserContext;
    alterUser(): AlterUserContext;
    alterServer(): AlterServerContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SHOW(): TerminalNode;
    ALL(): TerminalNode;
    showAllCommand(): ShowAllCommandContext;
    POPULATED(): TerminalNode;
    showRoles(): ShowRolesContext;
    BTREE(): TerminalNode;
    showIndexesAllowBrief(): ShowIndexesAllowBriefContext;
    RANGE(): TerminalNode;
    showIndexesNoBrief(): ShowIndexesNoBriefContext;
    FULLTEXT(): TerminalNode;
    TEXT(): TerminalNode;
    POINT(): TerminalNode;
    VECTOR(): TerminalNode;
    LOOKUP(): TerminalNode;
    UNIQUE(): TerminalNode;
    showConstraintsAllowBriefAndYield(): ShowConstraintsAllowBriefAndYieldContext;
    UNIQUENESS(): TerminalNode;
    showConstraintsAllowYield(): ShowConstraintsAllowYieldContext;
    KEY(): TerminalNode;
    NODE(): TerminalNode;
    showNodeCommand(): ShowNodeCommandContext;
    PROPERTY(): TerminalNode;
    showPropertyCommand(): ShowPropertyCommandContext;
    EXISTENCE(): TerminalNode;
    EXISTS(): TerminalNode;
    showConstraintsAllowBrief(): ShowConstraintsAllowBriefContext;
    EXIST(): TerminalNode;
    RELATIONSHIP(): TerminalNode;
    showRelationshipCommand(): ShowRelationshipCommandContext;
    REL(): TerminalNode;
    showRelCommand(): ShowRelCommandContext;
    BUILT(): TerminalNode;
    IN(): TerminalNode;
    showFunctions(): ShowFunctionsContext;
    showDatabase(): ShowDatabaseContext;
    showCurrentUser(): ShowCurrentUserContext;
    showProcedures(): ShowProceduresContext;
    showSettings(): ShowSettingsContext;
    showTransactions(): ShowTransactionsContext;
    showAliases(): ShowAliasesContext;
    showServers(): ShowServersContext;
    showPrivileges(): ShowPrivilegesContext;
    showSupportedPrivileges(): ShowSupportedPrivilegesContext;
    USER(): TerminalNode;
    DEFINED(): TerminalNode;
    ROLES(): TerminalNode;
    ROLE(): TerminalNode;
    USERS(): TerminalNode;
    showRolePrivileges(): ShowRolePrivilegesContext;
    showUserPrivileges(): ShowUserPrivilegesContext;
    showUsers(): ShowUsersContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class TerminateCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    TERMINATE(): TerminalNode;
    terminateTransactions(): TerminateTransactionsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowAllCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    showRoles(): ShowRolesContext;
    showIndexesAllowBrief(): ShowIndexesAllowBriefContext;
    showConstraintsAllowBriefAndYield(): ShowConstraintsAllowBriefAndYieldContext;
    showFunctions(): ShowFunctionsContext;
    showPrivileges(): ShowPrivilegesContext;
    ROLES(): TerminalNode;
    ROLE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowNodeCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    showConstraintsAllowYield(): ShowConstraintsAllowYieldContext;
    KEY(): TerminalNode;
    showConstraintsAllowBriefAndYield(): ShowConstraintsAllowBriefAndYieldContext;
    PROPERTY(): TerminalNode;
    showPropertyCommand(): ShowPropertyCommandContext;
    EXISTENCE(): TerminalNode;
    EXISTS(): TerminalNode;
    showConstraintsAllowBrief(): ShowConstraintsAllowBriefContext;
    EXIST(): TerminalNode;
    UNIQUE(): TerminalNode;
    UNIQUENESS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowRelationshipCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    showConstraintsAllowYield(): ShowConstraintsAllowYieldContext;
    KEY(): TerminalNode;
    PROPERTY(): TerminalNode;
    showPropertyCommand(): ShowPropertyCommandContext;
    EXISTENCE(): TerminalNode;
    EXISTS(): TerminalNode;
    showConstraintsAllowBrief(): ShowConstraintsAllowBriefContext;
    EXIST(): TerminalNode;
    showConstraintsAllowBriefAndYield(): ShowConstraintsAllowBriefAndYieldContext;
    UNIQUE(): TerminalNode;
    UNIQUENESS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowRelCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    showConstraintsAllowYield(): ShowConstraintsAllowYieldContext;
    KEY(): TerminalNode;
    PROPERTY(): TerminalNode;
    showPropertyCommand(): ShowPropertyCommandContext;
    EXISTENCE(): TerminalNode;
    EXIST(): TerminalNode;
    UNIQUE(): TerminalNode;
    UNIQUENESS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowPropertyCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    showConstraintsAllowYield(): ShowConstraintsAllowYieldContext;
    TYPE(): TerminalNode;
    EXISTENCE(): TerminalNode;
    EXIST(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class YieldItemContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    variable_list(): VariableContext[];
    variable(i: number): VariableContext;
    AS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class YieldClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    YIELD(): TerminalNode;
    TIMES(): TerminalNode;
    yieldItem_list(): YieldItemContext[];
    yieldItem(i: number): YieldItemContext;
    ORDER(): TerminalNode;
    BY(): TerminalNode;
    orderItem_list(): OrderItemContext[];
    orderItem(i: number): OrderItemContext;
    SKIPROWS(): TerminalNode;
    signedIntegerLiteral_list(): SignedIntegerLiteralContext[];
    signedIntegerLiteral(i: number): SignedIntegerLiteralContext;
    LIMITROWS(): TerminalNode;
    whereClause(): WhereClauseContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowIndexesAllowBriefContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    INDEX(): TerminalNode;
    INDEXES(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    composableCommandClauses(): ComposableCommandClausesContext;
    BRIEF(): TerminalNode;
    VERBOSE(): TerminalNode;
    OUTPUT(): TerminalNode;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowIndexesNoBriefContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    INDEX(): TerminalNode;
    INDEXES(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    composableCommandClauses(): ComposableCommandClausesContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowConstraintsAllowBriefAndYieldContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CONSTRAINT(): TerminalNode;
    CONSTRAINTS(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    composableCommandClauses(): ComposableCommandClausesContext;
    BRIEF(): TerminalNode;
    VERBOSE(): TerminalNode;
    OUTPUT(): TerminalNode;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowConstraintsAllowBriefContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CONSTRAINT(): TerminalNode;
    CONSTRAINTS(): TerminalNode;
    composableCommandClauses(): ComposableCommandClausesContext;
    BRIEF(): TerminalNode;
    VERBOSE(): TerminalNode;
    OUTPUT(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowConstraintsAllowYieldContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CONSTRAINT(): TerminalNode;
    CONSTRAINTS(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    composableCommandClauses(): ComposableCommandClausesContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowProceduresContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    PROCEDURE(): TerminalNode;
    PROCEDURES(): TerminalNode;
    EXECUTABLE(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    composableCommandClauses(): ComposableCommandClausesContext;
    BY(): TerminalNode;
    returnClause(): ReturnClauseContext;
    CURRENT(): TerminalNode;
    USER(): TerminalNode;
    symbolicNameString(): SymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowFunctionsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    FUNCTION(): TerminalNode;
    FUNCTIONS(): TerminalNode;
    EXECUTABLE(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    composableCommandClauses(): ComposableCommandClausesContext;
    BY(): TerminalNode;
    returnClause(): ReturnClauseContext;
    CURRENT(): TerminalNode;
    USER(): TerminalNode;
    symbolicNameString(): SymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowTransactionsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    TRANSACTION(): TerminalNode;
    TRANSACTIONS(): TerminalNode;
    composableCommandClauses(): ComposableCommandClausesContext;
    stringsOrExpression(): StringsOrExpressionContext;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class TerminateTransactionsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    TRANSACTION(): TerminalNode;
    TRANSACTIONS(): TerminalNode;
    composableCommandClauses(): ComposableCommandClausesContext;
    stringsOrExpression(): StringsOrExpressionContext;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowSettingsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SETTING(): TerminalNode;
    SETTINGS(): TerminalNode;
    composableCommandClauses(): ComposableCommandClausesContext;
    stringsOrExpression(): StringsOrExpressionContext;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ComposableCommandClausesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    TERMINATE(): TerminalNode;
    terminateTransactions(): TerminateTransactionsContext;
    SHOW(): TerminalNode;
    ALL(): TerminalNode;
    BTREE(): TerminalNode;
    showIndexesAllowBrief(): ShowIndexesAllowBriefContext;
    BUILT(): TerminalNode;
    IN(): TerminalNode;
    showFunctions(): ShowFunctionsContext;
    EXISTENCE(): TerminalNode;
    showConstraintsAllowYield(): ShowConstraintsAllowYieldContext;
    EXISTS(): TerminalNode;
    showConstraintsAllowBrief(): ShowConstraintsAllowBriefContext;
    EXIST(): TerminalNode;
    showConstraintsAllowBriefAndYield(): ShowConstraintsAllowBriefAndYieldContext;
    FULLTEXT(): TerminalNode;
    showIndexesNoBrief(): ShowIndexesNoBriefContext;
    KEY(): TerminalNode;
    LOOKUP(): TerminalNode;
    NODE(): TerminalNode;
    showNodeCommand(): ShowNodeCommandContext;
    POINT(): TerminalNode;
    PROPERTY(): TerminalNode;
    showPropertyCommand(): ShowPropertyCommandContext;
    RANGE(): TerminalNode;
    RELATIONSHIP(): TerminalNode;
    showRelationshipCommand(): ShowRelationshipCommandContext;
    REL(): TerminalNode;
    showRelCommand(): ShowRelCommandContext;
    TEXT(): TerminalNode;
    UNIQUENESS(): TerminalNode;
    UNIQUE(): TerminalNode;
    USER(): TerminalNode;
    DEFINED(): TerminalNode;
    VECTOR(): TerminalNode;
    showProcedures(): ShowProceduresContext;
    showSettings(): ShowSettingsContext;
    showTransactions(): ShowTransactionsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StringsOrExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    stringList(): StringListContext;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateConstraintContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CONSTRAINT(): TerminalNode;
    ON(): TerminalNode;
    LPAREN(): TerminalNode;
    FOR(): TerminalNode;
    IF(): TerminalNode;
    NOT_list(): TerminalNode[];
    NOT(i: number): TerminalNode;
    EXISTS_list(): TerminalNode[];
    EXISTS(i: number): TerminalNode;
    constraintNodePattern(): ConstraintNodePatternContext;
    constraintRelPattern(): ConstraintRelPatternContext;
    ASSERT(): TerminalNode;
    propertyList(): PropertyListContext;
    REQUIRE(): TerminalNode;
    OPTIONS(): TerminalNode;
    mapOrParameter(): MapOrParameterContext;
    COLONCOLON(): TerminalNode;
    type_(): TypeContext;
    IS(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    UNIQUE(): TerminalNode;
    KEY(): TerminalNode;
    createConstraintNodeCheck(): CreateConstraintNodeCheckContext;
    createConstraintRelCheck(): CreateConstraintRelCheckContext;
    NULL(): TerminalNode;
    TYPED(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class TypeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    typePart_list(): TypePartContext[];
    typePart(i: number): TypePartContext;
    BAR_list(): TerminalNode[];
    BAR(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class TypePartContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    typeName(): TypeNameContext;
    typeNullability(): TypeNullabilityContext;
    typeListSuffix_list(): TypeListSuffixContext[];
    typeListSuffix(i: number): TypeListSuffixContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class TypeNameContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    NOTHING(): TerminalNode;
    NULL(): TerminalNode;
    BOOLEAN(): TerminalNode;
    STRING(): TerminalNode;
    INT(): TerminalNode;
    INTEGER(): TerminalNode;
    SIGNED(): TerminalNode;
    FLOAT(): TerminalNode;
    DATE(): TerminalNode;
    LOCAL(): TerminalNode;
    TIME(): TerminalNode;
    DATETIME(): TerminalNode;
    ZONED(): TerminalNode;
    WITHOUT(): TerminalNode;
    TIMEZONE(): TerminalNode;
    WITH(): TerminalNode;
    TIMESTAMP(): TerminalNode;
    DURATION(): TerminalNode;
    POINT(): TerminalNode;
    NODE(): TerminalNode;
    VERTEX(): TerminalNode;
    RELATIONSHIP(): TerminalNode;
    EDGE(): TerminalNode;
    MAP(): TerminalNode;
    LT(): TerminalNode;
    type_(): TypeContext;
    GT(): TerminalNode;
    LIST(): TerminalNode;
    ARRAY(): TerminalNode;
    PATH(): TerminalNode;
    PROPERTY(): TerminalNode;
    VALUE(): TerminalNode;
    ANY(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class TypeNullabilityContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    NOT(): TerminalNode;
    NULL(): TerminalNode;
    EXCLAMATION_MARK(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class TypeListSuffixContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LIST(): TerminalNode;
    ARRAY(): TerminalNode;
    typeNullability(): TypeNullabilityContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ConstraintNodePatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    variable(): VariableContext;
    labelOrRelType(): LabelOrRelTypeContext;
    RPAREN(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ConstraintRelPatternContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    RPAREN_list(): TerminalNode[];
    RPAREN(i: number): TerminalNode;
    arrowLine_list(): ArrowLineContext[];
    arrowLine(i: number): ArrowLineContext;
    LBRACKET(): TerminalNode;
    variable(): VariableContext;
    labelOrRelType(): LabelOrRelTypeContext;
    RBRACKET(): TerminalNode;
    LPAREN(): TerminalNode;
    leftArrow(): LeftArrowContext;
    rightArrow(): RightArrowContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateConstraintNodeCheckContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    NODE(): TerminalNode;
    KEY(): TerminalNode;
    UNIQUE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateConstraintRelCheckContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    RELATIONSHIP(): TerminalNode;
    REL(): TerminalNode;
    KEY(): TerminalNode;
    UNIQUE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropConstraintContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CONSTRAINT(): TerminalNode;
    ON(): TerminalNode;
    LPAREN(): TerminalNode;
    ASSERT(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    constraintNodePattern(): ConstraintNodePatternContext;
    constraintRelPattern(): ConstraintRelPatternContext;
    EXISTS(): TerminalNode;
    propertyList(): PropertyListContext;
    IS(): TerminalNode;
    IF(): TerminalNode;
    dropConstraintNodeCheck(): DropConstraintNodeCheckContext;
    NOT(): TerminalNode;
    NULL(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropConstraintNodeCheckContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    UNIQUE(): TerminalNode;
    NODE(): TerminalNode;
    KEY(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateIndexContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    BTREE(): TerminalNode;
    INDEX(): TerminalNode;
    createIndex_(): CreateIndex_Context;
    RANGE(): TerminalNode;
    FULLTEXT(): TerminalNode;
    createFulltextIndex(): CreateFulltextIndexContext;
    TEXT(): TerminalNode;
    POINT(): TerminalNode;
    VECTOR(): TerminalNode;
    LOOKUP(): TerminalNode;
    createLookupIndex(): CreateLookupIndexContext;
    ON(): TerminalNode;
    oldCreateIndex(): OldCreateIndexContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class OldCreateIndexContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    labelOrRelType(): LabelOrRelTypeContext;
    LPAREN(): TerminalNode;
    symbolicNamePositions(): SymbolicNamePositionsContext;
    RPAREN(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateIndex_Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ON(): TerminalNode;
    propertyList(): PropertyListContext;
    FOR(): TerminalNode;
    LPAREN_list(): TerminalNode[];
    LPAREN(i: number): TerminalNode;
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    variable(): VariableContext;
    labelOrRelType(): LabelOrRelTypeContext;
    RPAREN_list(): TerminalNode[];
    RPAREN(i: number): TerminalNode;
    arrowLine_list(): ArrowLineContext[];
    arrowLine(i: number): ArrowLineContext;
    LBRACKET(): TerminalNode;
    RBRACKET(): TerminalNode;
    OPTIONS(): TerminalNode;
    mapOrParameter(): MapOrParameterContext;
    leftArrow(): LeftArrowContext;
    rightArrow(): RightArrowContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateFulltextIndexContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ON(): TerminalNode;
    EACH(): TerminalNode;
    LBRACKET_list(): TerminalNode[];
    LBRACKET(i: number): TerminalNode;
    variable_list(): VariableContext[];
    variable(i: number): VariableContext;
    property_list(): PropertyContext[];
    property(i: number): PropertyContext;
    RBRACKET_list(): TerminalNode[];
    RBRACKET(i: number): TerminalNode;
    FOR(): TerminalNode;
    LPAREN_list(): TerminalNode[];
    LPAREN(i: number): TerminalNode;
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    labelOrRelTypes(): LabelOrRelTypesContext;
    RPAREN_list(): TerminalNode[];
    RPAREN(i: number): TerminalNode;
    arrowLine_list(): ArrowLineContext[];
    arrowLine(i: number): ArrowLineContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    OPTIONS(): TerminalNode;
    mapOrParameter(): MapOrParameterContext;
    leftArrow(): LeftArrowContext;
    rightArrow(): RightArrowContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateLookupIndexContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    lookupIndexFunctionName(): LookupIndexFunctionNameContext;
    LPAREN_list(): TerminalNode[];
    LPAREN(i: number): TerminalNode;
    variable_list(): VariableContext[];
    variable(i: number): VariableContext;
    RPAREN_list(): TerminalNode[];
    RPAREN(i: number): TerminalNode;
    FOR(): TerminalNode;
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    ON(): TerminalNode;
    EACH(): TerminalNode;
    arrowLine_list(): ArrowLineContext[];
    arrowLine(i: number): ArrowLineContext;
    LBRACKET(): TerminalNode;
    RBRACKET(): TerminalNode;
    OPTIONS(): TerminalNode;
    mapOrParameter(): MapOrParameterContext;
    leftArrow(): LeftArrowContext;
    rightArrow(): RightArrowContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LookupIndexFunctionNameContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString(): SymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropIndexContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    INDEX(): TerminalNode;
    ON(): TerminalNode;
    labelOrRelType(): LabelOrRelTypeContext;
    LPAREN(): TerminalNode;
    symbolicNamePositions(): SymbolicNamePositionsContext;
    RPAREN(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PropertyListContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    variable_list(): VariableContext[];
    variable(i: number): VariableContext;
    property_list(): PropertyContext[];
    property(i: number): PropertyContext;
    LPAREN(): TerminalNode;
    RPAREN(): TerminalNode;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RenameCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    RENAME(): TerminalNode;
    renameRole(): RenameRoleContext;
    renameUser(): RenameUserContext;
    renameServer(): RenameServerContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GrantCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    GRANT(): TerminalNode;
    IMMUTABLE(): TerminalNode;
    grantPrivilege(): GrantPrivilegeContext;
    ROLE(): TerminalNode;
    grantRoleManagement(): GrantRoleManagementContext;
    ROLES(): TerminalNode;
    grantRole(): GrantRoleContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RevokeCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    REVOKE(): TerminalNode;
    DENY(): TerminalNode;
    GRANT(): TerminalNode;
    IMMUTABLE(): TerminalNode;
    revokePrivilege(): RevokePrivilegeContext;
    ROLE(): TerminalNode;
    revokeRoleManagement(): RevokeRoleManagementContext;
    revokeRole(): RevokeRoleContext;
    ROLES(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class EnableServerCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ENABLE(): TerminalNode;
    SERVER(): TerminalNode;
    stringOrParameter(): StringOrParameterContext;
    options_(): Options_Context;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AlterServerContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SERVER(): TerminalNode;
    stringOrParameter(): StringOrParameterContext;
    SET(): TerminalNode;
    options_(): Options_Context;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RenameServerContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SERVER(): TerminalNode;
    stringOrParameter_list(): StringOrParameterContext[];
    stringOrParameter(i: number): StringOrParameterContext;
    TO(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropServerContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SERVER(): TerminalNode;
    stringOrParameter(): StringOrParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowServersContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SERVERS(): TerminalNode;
    SERVER(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AllocationCommandContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    deallocateDatabaseFromServers(): DeallocateDatabaseFromServersContext;
    reallocateDatabases(): ReallocateDatabasesContext;
    DRYRUN(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DeallocateDatabaseFromServersContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DEALLOCATE(): TerminalNode;
    FROM(): TerminalNode;
    stringOrParameter_list(): StringOrParameterContext[];
    stringOrParameter(i: number): StringOrParameterContext;
    DATABASE(): TerminalNode;
    DATABASES(): TerminalNode;
    SERVER(): TerminalNode;
    SERVERS(): TerminalNode;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ReallocateDatabasesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    REALLOCATE(): TerminalNode;
    DATABASE(): TerminalNode;
    DATABASES(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateRoleContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ROLE(): TerminalNode;
    symbolicNameOrStringParameter_list(): SymbolicNameOrStringParameterContext[];
    symbolicNameOrStringParameter(i: number): SymbolicNameOrStringParameterContext;
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    AS(): TerminalNode;
    COPY(): TerminalNode;
    OF(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropRoleContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ROLE(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RenameRoleContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ROLE(): TerminalNode;
    symbolicNameOrStringParameter_list(): SymbolicNameOrStringParameterContext[];
    symbolicNameOrStringParameter(i: number): SymbolicNameOrStringParameterContext;
    TO(): TerminalNode;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowRolesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    WITH(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    USERS(): TerminalNode;
    USER(): TerminalNode;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GrantRoleContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    TO(): TerminalNode;
    roleUser(): RoleUserContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RevokeRoleContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    FROM(): TerminalNode;
    roleUser(): RoleUserContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RoleUserContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateUserContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    USER(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    SET_list(): TerminalNode[];
    SET(i: number): TerminalNode;
    PASSWORD_list(): TerminalNode[];
    PASSWORD(i: number): TerminalNode;
    passwordExpression(): PasswordExpressionContext;
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    passwordChangeRequired_list(): PasswordChangeRequiredContext[];
    passwordChangeRequired(i: number): PasswordChangeRequiredContext;
    PLAINTEXT(): TerminalNode;
    ENCRYPTED(): TerminalNode;
    userStatus_list(): UserStatusContext[];
    userStatus(i: number): UserStatusContext;
    homeDatabase_list(): HomeDatabaseContext[];
    homeDatabase(i: number): HomeDatabaseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropUserContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    USER(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RenameUserContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    USER(): TerminalNode;
    symbolicNameOrStringParameter_list(): SymbolicNameOrStringParameterContext[];
    symbolicNameOrStringParameter(i: number): SymbolicNameOrStringParameterContext;
    TO(): TerminalNode;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AlterCurrentUserContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CURRENT(): TerminalNode;
    USER(): TerminalNode;
    SET(): TerminalNode;
    PASSWORD(): TerminalNode;
    FROM(): TerminalNode;
    passwordExpression_list(): PasswordExpressionContext[];
    passwordExpression(i: number): PasswordExpressionContext;
    TO(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AlterUserContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    USER(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    REMOVE(): TerminalNode;
    HOME(): TerminalNode;
    DATABASE(): TerminalNode;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    SET_list(): TerminalNode[];
    SET(i: number): TerminalNode;
    PLAINTEXT_list(): TerminalNode[];
    PLAINTEXT(i: number): TerminalNode;
    PASSWORD_list(): TerminalNode[];
    PASSWORD(i: number): TerminalNode;
    setPassword_list(): SetPasswordContext[];
    setPassword(i: number): SetPasswordContext;
    ENCRYPTED_list(): TerminalNode[];
    ENCRYPTED(i: number): TerminalNode;
    userStatus_list(): UserStatusContext[];
    userStatus(i: number): UserStatusContext;
    homeDatabase_list(): HomeDatabaseContext[];
    homeDatabase(i: number): HomeDatabaseContext;
    passwordChangeRequired_list(): PasswordChangeRequiredContext[];
    passwordChangeRequired(i: number): PasswordChangeRequiredContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SetPasswordContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    passwordExpression(): PasswordExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PasswordExpressionContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    stringLiteral(): StringLiteralContext;
    parameter(): ParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PasswordChangeRequiredContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CHANGE(): TerminalNode;
    REQUIRED(): TerminalNode;
    NOT(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class UserStatusContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    STATUS(): TerminalNode;
    SUSPENDED(): TerminalNode;
    ACTIVE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class HomeDatabaseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    HOME(): TerminalNode;
    DATABASE(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowUsersContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowCurrentUserContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CURRENT(): TerminalNode;
    USER(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowSupportedPrivilegesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SUPPORTED(): TerminalNode;
    PRIVILEGE(): TerminalNode;
    PRIVILEGES(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowPrivilegesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    PRIVILEGE(): TerminalNode;
    PRIVILEGES(): TerminalNode;
    AS(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    COMMAND(): TerminalNode;
    COMMANDS(): TerminalNode;
    REVOKE(): TerminalNode;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowRolePrivilegesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    PRIVILEGE(): TerminalNode;
    PRIVILEGES(): TerminalNode;
    AS(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    COMMAND(): TerminalNode;
    COMMANDS(): TerminalNode;
    REVOKE(): TerminalNode;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowUserPrivilegesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    PRIVILEGE(): TerminalNode;
    PRIVILEGES(): TerminalNode;
    AS(): TerminalNode;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    COMMAND(): TerminalNode;
    COMMANDS(): TerminalNode;
    REVOKE(): TerminalNode;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GrantRoleManagementContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    roleManagementPrivilege(): RoleManagementPrivilegeContext;
    TO(): TerminalNode;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RevokeRoleManagementContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    roleManagementPrivilege(): RoleManagementPrivilegeContext;
    FROM(): TerminalNode;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RoleManagementPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    MANAGEMENT(): TerminalNode;
    ON(): TerminalNode;
    DBMS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GrantPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    privilege(): PrivilegeContext;
    TO(): TerminalNode;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DenyPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DENY(): TerminalNode;
    TO(): TerminalNode;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    privilege(): PrivilegeContext;
    ROLE(): TerminalNode;
    roleManagementPrivilege(): RoleManagementPrivilegeContext;
    IMMUTABLE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RevokePrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    privilege(): PrivilegeContext;
    FROM(): TerminalNode;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    allPrivilege(): AllPrivilegeContext;
    createPrivilege(): CreatePrivilegeContext;
    dropPrivilege(): DropPrivilegeContext;
    loadPrivilege(): LoadPrivilegeContext;
    showPrivilege(): ShowPrivilegeContext;
    setPrivilege(): SetPrivilegeContext;
    removePrivilege(): RemovePrivilegeContext;
    databasePrivilege(): DatabasePrivilegeContext;
    dbmsPrivilege(): DbmsPrivilegeContext;
    writePrivilege(): WritePrivilegeContext;
    qualifiedGraphPrivileges(): QualifiedGraphPrivilegesContext;
    qualifiedGraphPrivilegesWithProperty(): QualifiedGraphPrivilegesWithPropertyContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AllPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ALL(): TerminalNode;
    ON(): TerminalNode;
    allPrivilegeTarget(): AllPrivilegeTargetContext;
    allPrivilegeType(): AllPrivilegeTypeContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AllPrivilegeTypeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    PRIVILEGES(): TerminalNode;
    DBMS(): TerminalNode;
    GRAPH(): TerminalNode;
    DATABASE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AllPrivilegeTargetContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DEFAULT(): TerminalNode;
    GRAPH(): TerminalNode;
    DATABASE(): TerminalNode;
    HOME(): TerminalNode;
    DBMS(): TerminalNode;
    GRAPHS(): TerminalNode;
    TIMES(): TerminalNode;
    symbolicAliasNameList(): SymbolicAliasNameListContext;
    DATABASES(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreatePrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    CREATE(): TerminalNode;
    ON(): TerminalNode;
    databaseScope(): DatabaseScopeContext;
    DBMS(): TerminalNode;
    graphScope(): GraphScopeContext;
    graphQualifier(): GraphQualifierContext;
    NEW(): TerminalNode;
    DATABASE(): TerminalNode;
    ALIAS(): TerminalNode;
    ROLE(): TerminalNode;
    USER(): TerminalNode;
    COMPOSITE(): TerminalNode;
    INDEX(): TerminalNode;
    INDEXES(): TerminalNode;
    CONSTRAINT(): TerminalNode;
    CONSTRAINTS(): TerminalNode;
    LABEL(): TerminalNode;
    LABELS(): TerminalNode;
    TYPE(): TerminalNode;
    TYPES(): TerminalNode;
    NAME(): TerminalNode;
    NAMES(): TerminalNode;
    NODE(): TerminalNode;
    RELATIONSHIP(): TerminalNode;
    PROPERTY(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DROP(): TerminalNode;
    ON(): TerminalNode;
    databaseScope(): DatabaseScopeContext;
    DBMS(): TerminalNode;
    DATABASE(): TerminalNode;
    ALIAS(): TerminalNode;
    ROLE(): TerminalNode;
    USER(): TerminalNode;
    COMPOSITE(): TerminalNode;
    INDEX(): TerminalNode;
    INDEXES(): TerminalNode;
    CONSTRAINT(): TerminalNode;
    CONSTRAINTS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LoadPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LOAD(): TerminalNode;
    ON(): TerminalNode;
    URL(): TerminalNode;
    stringOrParameter(): StringOrParameterContext;
    CIDR(): TerminalNode;
    ALL(): TerminalNode;
    DATA(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SHOW(): TerminalNode;
    ON(): TerminalNode;
    databaseScope(): DatabaseScopeContext;
    DBMS(): TerminalNode;
    ALIAS(): TerminalNode;
    PRIVILEGE(): TerminalNode;
    ROLE(): TerminalNode;
    USER(): TerminalNode;
    settingQualifier(): SettingQualifierContext;
    INDEX(): TerminalNode;
    INDEXES(): TerminalNode;
    CONSTRAINT(): TerminalNode;
    CONSTRAINTS(): TerminalNode;
    TRANSACTION(): TerminalNode;
    TRANSACTIONS(): TerminalNode;
    SERVER(): TerminalNode;
    SERVERS(): TerminalNode;
    SETTING(): TerminalNode;
    SETTINGS(): TerminalNode;
    LPAREN(): TerminalNode;
    RPAREN(): TerminalNode;
    TIMES(): TerminalNode;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SetPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    SET(): TerminalNode;
    ON(): TerminalNode;
    DBMS(): TerminalNode;
    USER(): TerminalNode;
    DATABASE(): TerminalNode;
    ACCESS(): TerminalNode;
    LABEL(): TerminalNode;
    labelResource(): LabelResourceContext;
    graphScope(): GraphScopeContext;
    PROPERTY(): TerminalNode;
    propertyResource(): PropertyResourceContext;
    graphQualifier(): GraphQualifierContext;
    PASSWORD(): TerminalNode;
    PASSWORDS(): TerminalNode;
    STATUS(): TerminalNode;
    HOME(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class RemovePrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    REMOVE(): TerminalNode;
    ON(): TerminalNode;
    DBMS(): TerminalNode;
    LABEL(): TerminalNode;
    labelResource(): LabelResourceContext;
    graphScope(): GraphScopeContext;
    PRIVILEGE(): TerminalNode;
    ROLE(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WritePrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    WRITE(): TerminalNode;
    ON(): TerminalNode;
    graphScope(): GraphScopeContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DatabasePrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ON(): TerminalNode;
    databaseScope(): DatabaseScopeContext;
    ACCESS(): TerminalNode;
    START(): TerminalNode;
    STOP(): TerminalNode;
    TRANSACTION(): TerminalNode;
    TERMINATE(): TerminalNode;
    NAME(): TerminalNode;
    INDEX(): TerminalNode;
    INDEXES(): TerminalNode;
    CONSTRAINT(): TerminalNode;
    CONSTRAINTS(): TerminalNode;
    TRANSACTIONS(): TerminalNode;
    MANAGEMENT(): TerminalNode;
    LPAREN(): TerminalNode;
    RPAREN(): TerminalNode;
    TIMES(): TerminalNode;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DbmsPrivilegeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ON(): TerminalNode;
    DBMS(): TerminalNode;
    ALTER(): TerminalNode;
    ASSIGN(): TerminalNode;
    COMPOSITE(): TerminalNode;
    DATABASE(): TerminalNode;
    MANAGEMENT(): TerminalNode;
    ALIAS(): TerminalNode;
    EXECUTE(): TerminalNode;
    PRIVILEGE(): TerminalNode;
    RENAME(): TerminalNode;
    SERVER(): TerminalNode;
    USER(): TerminalNode;
    IMPERSONATE(): TerminalNode;
    ROLE(): TerminalNode;
    PROCEDURES(): TerminalNode;
    BOOSTED(): TerminalNode;
    executeProcedureQualifier(): ExecuteProcedureQualifierContext;
    executeFunctionQualifier(): ExecuteFunctionQualifierContext;
    ADMIN(): TerminalNode;
    ADMINISTRATOR(): TerminalNode;
    PROCEDURE(): TerminalNode;
    FUNCTION(): TerminalNode;
    FUNCTIONS(): TerminalNode;
    LPAREN(): TerminalNode;
    RPAREN(): TerminalNode;
    TIMES(): TerminalNode;
    symbolicNameOrStringParameterList(): SymbolicNameOrStringParameterListContext;
    DEFINED(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ExecuteFunctionQualifierContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    globs(): GlobsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ExecuteProcedureQualifierContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    globs(): GlobsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SettingQualifierContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    globs(): GlobsContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GlobsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    glob_list(): GlobContext[];
    glob(i: number): GlobContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class QualifiedGraphPrivilegesWithPropertyContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ON(): TerminalNode;
    graphScope(): GraphScopeContext;
    graphQualifier(): GraphQualifierContext;
    TRAVERSE(): TerminalNode;
    READ(): TerminalNode;
    propertyResource(): PropertyResourceContext;
    MATCH(): TerminalNode;
    LPAREN(): TerminalNode;
    TIMES(): TerminalNode;
    RPAREN(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class QualifiedGraphPrivilegesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ON(): TerminalNode;
    graphScope(): GraphScopeContext;
    graphQualifier(): GraphQualifierContext;
    DELETE(): TerminalNode;
    MERGE(): TerminalNode;
    propertyResource(): PropertyResourceContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class LabelResourceContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    TIMES(): TerminalNode;
    symbolicNameList1(): SymbolicNameList1Context;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class PropertyResourceContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LCURLY(): TerminalNode;
    RCURLY(): TerminalNode;
    TIMES(): TerminalNode;
    symbolicNameList1(): SymbolicNameList1Context;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GraphQualifierContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    FOR(): TerminalNode;
    LPAREN(): TerminalNode;
    RELATIONSHIP(): TerminalNode;
    RELATIONSHIPS(): TerminalNode;
    NODE(): TerminalNode;
    NODES(): TerminalNode;
    ELEMENT(): TerminalNode;
    ELEMENTS(): TerminalNode;
    TIMES(): TerminalNode;
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    RPAREN(): TerminalNode;
    WHERE(): TerminalNode;
    expression(): ExpressionContext;
    map(): MapContext;
    variable(): VariableContext;
    labelOrRelTypes(): LabelOrRelTypesContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateDatabaseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DATABASE(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    TOPOLOGY(): TerminalNode;
    options_(): Options_Context;
    waitClause(): WaitClauseContext;
    UNSIGNED_DECIMAL_INTEGER_list(): TerminalNode[];
    UNSIGNED_DECIMAL_INTEGER(i: number): TerminalNode;
    PRIMARY_list(): TerminalNode[];
    PRIMARY(i: number): TerminalNode;
    PRIMARIES_list(): TerminalNode[];
    PRIMARIES(i: number): TerminalNode;
    SECONDARY_list(): TerminalNode[];
    SECONDARY(i: number): TerminalNode;
    SECONDARIES_list(): TerminalNode[];
    SECONDARIES(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class Options_Context extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    OPTIONS(): TerminalNode;
    mapOrParameter(): MapOrParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateCompositeDatabaseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    COMPOSITE(): TerminalNode;
    DATABASE(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    options_(): Options_Context;
    waitClause(): WaitClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropDatabaseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DATABASE(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    COMPOSITE(): TerminalNode;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    DATA(): TerminalNode;
    waitClause(): WaitClauseContext;
    DUMP(): TerminalNode;
    DESTROY(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AlterDatabaseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DATABASE(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    waitClause(): WaitClauseContext;
    SET_list(): TerminalNode[];
    SET(i: number): TerminalNode;
    REMOVE_list(): TerminalNode[];
    REMOVE(i: number): TerminalNode;
    OPTION_list(): TerminalNode[];
    OPTION(i: number): TerminalNode;
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    ACCESS_list(): TerminalNode[];
    ACCESS(i: number): TerminalNode;
    READ_list(): TerminalNode[];
    READ(i: number): TerminalNode;
    TOPOLOGY_list(): TerminalNode[];
    TOPOLOGY(i: number): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    ONLY_list(): TerminalNode[];
    ONLY(i: number): TerminalNode;
    WRITE_list(): TerminalNode[];
    WRITE(i: number): TerminalNode;
    UNSIGNED_DECIMAL_INTEGER_list(): TerminalNode[];
    UNSIGNED_DECIMAL_INTEGER(i: number): TerminalNode;
    PRIMARY_list(): TerminalNode[];
    PRIMARY(i: number): TerminalNode;
    PRIMARIES_list(): TerminalNode[];
    PRIMARIES(i: number): TerminalNode;
    SECONDARY_list(): TerminalNode[];
    SECONDARY(i: number): TerminalNode;
    SECONDARIES_list(): TerminalNode[];
    SECONDARIES(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StartDatabaseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    START(): TerminalNode;
    DATABASE(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    waitClause(): WaitClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StopDatabaseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    STOP(): TerminalNode;
    DATABASE(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    waitClause(): WaitClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class WaitClauseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    WAIT(): TerminalNode;
    NOWAIT(): TerminalNode;
    UNSIGNED_DECIMAL_INTEGER(): TerminalNode;
    SEC(): TerminalNode;
    SECOND(): TerminalNode;
    SECONDS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowDatabaseContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DATABASES(): TerminalNode;
    DATABASE(): TerminalNode;
    DEFAULT(): TerminalNode;
    HOME(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DatabaseScopeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DEFAULT(): TerminalNode;
    DATABASE(): TerminalNode;
    HOME(): TerminalNode;
    DATABASES(): TerminalNode;
    TIMES(): TerminalNode;
    symbolicAliasNameList(): SymbolicAliasNameListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GraphScopeContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DEFAULT(): TerminalNode;
    GRAPH(): TerminalNode;
    HOME(): TerminalNode;
    GRAPHS(): TerminalNode;
    TIMES(): TerminalNode;
    symbolicAliasNameList(): SymbolicAliasNameListContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class CreateAliasContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ALIAS(): TerminalNode;
    symbolicAliasNameOrParameter_list(): SymbolicAliasNameOrParameterContext[];
    symbolicAliasNameOrParameter(i: number): SymbolicAliasNameOrParameterContext;
    FOR(): TerminalNode;
    DATABASE(): TerminalNode;
    IF(): TerminalNode;
    NOT(): TerminalNode;
    EXISTS(): TerminalNode;
    AT(): TerminalNode;
    stringOrParameter(): StringOrParameterContext;
    USER(): TerminalNode;
    symbolicNameOrStringParameter(): SymbolicNameOrStringParameterContext;
    PASSWORD(): TerminalNode;
    passwordExpression(): PasswordExpressionContext;
    PROPERTIES(): TerminalNode;
    mapOrParameter_list(): MapOrParameterContext[];
    mapOrParameter(i: number): MapOrParameterContext;
    DRIVER(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class DropAliasContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ALIAS(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    FOR(): TerminalNode;
    DATABASE(): TerminalNode;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class AlterAliasContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ALIAS(): TerminalNode;
    symbolicAliasNameOrParameter_list(): SymbolicAliasNameOrParameterContext[];
    symbolicAliasNameOrParameter(i: number): SymbolicAliasNameOrParameterContext;
    SET(): TerminalNode;
    DATABASE(): TerminalNode;
    IF(): TerminalNode;
    EXISTS(): TerminalNode;
    TARGET_list(): TerminalNode[];
    TARGET(i: number): TerminalNode;
    USER_list(): TerminalNode[];
    USER(i: number): TerminalNode;
    symbolicNameOrStringParameter_list(): SymbolicNameOrStringParameterContext[];
    symbolicNameOrStringParameter(i: number): SymbolicNameOrStringParameterContext;
    PASSWORD_list(): TerminalNode[];
    PASSWORD(i: number): TerminalNode;
    passwordExpression_list(): PasswordExpressionContext[];
    passwordExpression(i: number): PasswordExpressionContext;
    DRIVER_list(): TerminalNode[];
    DRIVER(i: number): TerminalNode;
    mapOrParameter_list(): MapOrParameterContext[];
    mapOrParameter(i: number): MapOrParameterContext;
    PROPERTIES_list(): TerminalNode[];
    PROPERTIES(i: number): TerminalNode;
    AT_list(): TerminalNode[];
    AT(i: number): TerminalNode;
    stringOrParameter_list(): StringOrParameterContext[];
    stringOrParameter(i: number): StringOrParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class ShowAliasesContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    FOR(): TerminalNode;
    ALIAS(): TerminalNode;
    ALIASES(): TerminalNode;
    DATABASE(): TerminalNode;
    DATABASES(): TerminalNode;
    symbolicAliasNameOrParameter(): SymbolicAliasNameOrParameterContext;
    yieldClause(): YieldClauseContext;
    whereClause(): WhereClauseContext;
    returnClause(): ReturnClauseContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicAliasNameListContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicAliasNameOrParameter_list(): SymbolicAliasNameOrParameterContext[];
    symbolicAliasNameOrParameter(i: number): SymbolicAliasNameOrParameterContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicAliasNameOrParameterContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicAliasName(): SymbolicAliasNameContext;
    parameter(): ParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicAliasNameContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    DOT_list(): TerminalNode[];
    DOT(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicNameOrStringParameterListContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameOrStringParameter_list(): SymbolicNameOrStringParameterContext[];
    symbolicNameOrStringParameter(i: number): SymbolicNameOrStringParameterContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicNameOrStringParameterContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString(): SymbolicNameStringContext;
    parameter(): ParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GlobContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    escapedSymbolicNameString(): EscapedSymbolicNameStringContext;
    globRecursive(): GlobRecursiveContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GlobRecursiveContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    globPart(): GlobPartContext;
    globRecursive(): GlobRecursiveContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class GlobPartContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    DOT(): TerminalNode;
    escapedSymbolicNameString(): EscapedSymbolicNameStringContext;
    QUESTION(): TerminalNode;
    TIMES(): TerminalNode;
    unescapedSymbolicNameString(): UnescapedSymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StringListContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    stringLiteral_list(): StringLiteralContext[];
    stringLiteral(i: number): StringLiteralContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StringLiteralContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    STRING_LITERAL1(): TerminalNode;
    STRING_LITERAL2(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class StringOrParameterContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    stringLiteral(): StringLiteralContext;
    parameter(): ParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class MapOrParameterContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    map(): MapContext;
    parameter(): ParameterContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class MapContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    LCURLY(): TerminalNode;
    RCURLY(): TerminalNode;
    propertyKeyName_list(): PropertyKeyNameContext[];
    propertyKeyName(i: number): PropertyKeyNameContext;
    COLON_list(): TerminalNode[];
    COLON(i: number): TerminalNode;
    expression_list(): ExpressionContext[];
    expression(i: number): ExpressionContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicNamePositionsContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    symbolicNameString_list(): SymbolicNameStringContext[];
    symbolicNameString(i: number): SymbolicNameStringContext;
    COMMA_list(): TerminalNode[];
    COMMA(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicNameStringContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    escapedSymbolicNameString(): EscapedSymbolicNameStringContext;
    unescapedSymbolicNameString(): UnescapedSymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class EscapedSymbolicNameStringContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    ESCAPED_SYMBOLIC_NAME(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class UnescapedSymbolicNameStringContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    unescapedLabelSymbolicNameString(): UnescapedLabelSymbolicNameStringContext;
    NOT(): TerminalNode;
    NULL(): TerminalNode;
    TYPED(): TerminalNode;
    NORMALIZED(): TerminalNode;
    NFC(): TerminalNode;
    NFD(): TerminalNode;
    NFKC(): TerminalNode;
    NFKD(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class SymbolicLabelNameStringContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    escapedSymbolicNameString(): EscapedSymbolicNameStringContext;
    unescapedLabelSymbolicNameString(): UnescapedLabelSymbolicNameStringContext;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class UnescapedLabelSymbolicNameStringContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    IDENTIFIER(): TerminalNode;
    ACCESS(): TerminalNode;
    ACTIVE(): TerminalNode;
    ADMIN(): TerminalNode;
    ADMINISTRATOR(): TerminalNode;
    ALIAS(): TerminalNode;
    ALIASES(): TerminalNode;
    ALL_SHORTEST_PATH(): TerminalNode;
    ALL(): TerminalNode;
    ALTER(): TerminalNode;
    AND(): TerminalNode;
    ANY(): TerminalNode;
    ARRAY(): TerminalNode;
    AS(): TerminalNode;
    ASC(): TerminalNode;
    ASCENDING(): TerminalNode;
    ASSERT(): TerminalNode;
    ASSIGN(): TerminalNode;
    AT(): TerminalNode;
    BINDINGS(): TerminalNode;
    BOOLEAN(): TerminalNode;
    BOOSTED(): TerminalNode;
    BREAK(): TerminalNode;
    BRIEF(): TerminalNode;
    BTREE(): TerminalNode;
    BUILT(): TerminalNode;
    BY(): TerminalNode;
    CALL(): TerminalNode;
    CASE(): TerminalNode;
    CHANGE(): TerminalNode;
    CIDR(): TerminalNode;
    COLLECT(): TerminalNode;
    COMMAND(): TerminalNode;
    COMMANDS(): TerminalNode;
    COMMIT(): TerminalNode;
    COMPOSITE(): TerminalNode;
    CONCURRENT(): TerminalNode;
    CONSTRAINT(): TerminalNode;
    CONSTRAINTS(): TerminalNode;
    CONTAINS(): TerminalNode;
    CONTINUE(): TerminalNode;
    COPY(): TerminalNode;
    COUNT(): TerminalNode;
    CREATE(): TerminalNode;
    CSV(): TerminalNode;
    CURRENT(): TerminalNode;
    DATA(): TerminalNode;
    DATABASE(): TerminalNode;
    DATABASES(): TerminalNode;
    DATE(): TerminalNode;
    DATETIME(): TerminalNode;
    DBMS(): TerminalNode;
    DEALLOCATE(): TerminalNode;
    DEFAULT(): TerminalNode;
    DEFINED(): TerminalNode;
    DELETE(): TerminalNode;
    DENY(): TerminalNode;
    DESC(): TerminalNode;
    DESCENDING(): TerminalNode;
    DESTROY(): TerminalNode;
    DETACH(): TerminalNode;
    DIFFERENT(): TerminalNode;
    DISTINCT(): TerminalNode;
    DRIVER(): TerminalNode;
    DROP(): TerminalNode;
    DRYRUN(): TerminalNode;
    DUMP(): TerminalNode;
    DURATION(): TerminalNode;
    EACH(): TerminalNode;
    EDGE(): TerminalNode;
    ELEMENT(): TerminalNode;
    ELEMENTS(): TerminalNode;
    ELSE(): TerminalNode;
    ENABLE(): TerminalNode;
    ENCRYPTED(): TerminalNode;
    END(): TerminalNode;
    ENDS(): TerminalNode;
    ERROR(): TerminalNode;
    EXECUTABLE(): TerminalNode;
    EXECUTE(): TerminalNode;
    EXIST(): TerminalNode;
    EXISTENCE(): TerminalNode;
    EXISTS(): TerminalNode;
    FAIL(): TerminalNode;
    FALSE(): TerminalNode;
    FIELDTERMINATOR(): TerminalNode;
    FLOAT(): TerminalNode;
    FOREACH(): TerminalNode;
    FOR(): TerminalNode;
    FROM(): TerminalNode;
    FULLTEXT(): TerminalNode;
    FUNCTION(): TerminalNode;
    FUNCTIONS(): TerminalNode;
    GRANT(): TerminalNode;
    GRAPH(): TerminalNode;
    GRAPHS(): TerminalNode;
    GROUP(): TerminalNode;
    GROUPS(): TerminalNode;
    HEADERS(): TerminalNode;
    HOME(): TerminalNode;
    IF(): TerminalNode;
    IMMUTABLE(): TerminalNode;
    IN(): TerminalNode;
    INDEX(): TerminalNode;
    INDEXES(): TerminalNode;
    INFINITY(): TerminalNode;
    INT(): TerminalNode;
    INTEGER(): TerminalNode;
    IS(): TerminalNode;
    JOIN(): TerminalNode;
    KEY(): TerminalNode;
    LABEL(): TerminalNode;
    LABELS(): TerminalNode;
    LIMITROWS(): TerminalNode;
    LIST(): TerminalNode;
    LOAD(): TerminalNode;
    LOCAL(): TerminalNode;
    LOOKUP(): TerminalNode;
    MATCH(): TerminalNode;
    MANAGEMENT(): TerminalNode;
    MAP(): TerminalNode;
    MERGE(): TerminalNode;
    NAME(): TerminalNode;
    NAMES(): TerminalNode;
    NAN(): TerminalNode;
    NEW(): TerminalNode;
    NODE(): TerminalNode;
    NODETACH(): TerminalNode;
    NODES(): TerminalNode;
    NONE(): TerminalNode;
    NORMALIZE(): TerminalNode;
    NOTHING(): TerminalNode;
    NOWAIT(): TerminalNode;
    OF(): TerminalNode;
    ON(): TerminalNode;
    ONLY(): TerminalNode;
    OPTIONAL(): TerminalNode;
    OPTIONS(): TerminalNode;
    OPTION(): TerminalNode;
    OR(): TerminalNode;
    ORDER(): TerminalNode;
    OUTPUT(): TerminalNode;
    PASSWORD(): TerminalNode;
    PASSWORDS(): TerminalNode;
    PATH(): TerminalNode;
    PATHS(): TerminalNode;
    PERIODIC(): TerminalNode;
    PLAINTEXT(): TerminalNode;
    POINT(): TerminalNode;
    POPULATED(): TerminalNode;
    PRIMARY(): TerminalNode;
    PRIMARIES(): TerminalNode;
    PRIVILEGE(): TerminalNode;
    PRIVILEGES(): TerminalNode;
    PROCEDURE(): TerminalNode;
    PROCEDURES(): TerminalNode;
    PROPERTIES(): TerminalNode;
    PROPERTY(): TerminalNode;
    RANGE(): TerminalNode;
    READ(): TerminalNode;
    REALLOCATE(): TerminalNode;
    REDUCE(): TerminalNode;
    REL(): TerminalNode;
    RELATIONSHIP(): TerminalNode;
    RELATIONSHIPS(): TerminalNode;
    REMOVE(): TerminalNode;
    RENAME(): TerminalNode;
    REPEATABLE(): TerminalNode;
    REPLACE(): TerminalNode;
    REPORT(): TerminalNode;
    REQUIRE(): TerminalNode;
    REQUIRED(): TerminalNode;
    RETURN(): TerminalNode;
    REVOKE(): TerminalNode;
    ROLE(): TerminalNode;
    ROLES(): TerminalNode;
    ROW(): TerminalNode;
    ROWS(): TerminalNode;
    SCAN(): TerminalNode;
    SEC(): TerminalNode;
    SECOND(): TerminalNode;
    SECONDARY(): TerminalNode;
    SECONDARIES(): TerminalNode;
    SECONDS(): TerminalNode;
    SEEK(): TerminalNode;
    SERVER(): TerminalNode;
    SERVERS(): TerminalNode;
    SET(): TerminalNode;
    SETTING(): TerminalNode;
    SETTINGS(): TerminalNode;
    SHORTEST(): TerminalNode;
    SHORTEST_PATH(): TerminalNode;
    SHOW(): TerminalNode;
    SIGNED(): TerminalNode;
    SINGLE(): TerminalNode;
    SKIPROWS(): TerminalNode;
    START(): TerminalNode;
    STARTS(): TerminalNode;
    STATUS(): TerminalNode;
    STOP(): TerminalNode;
    STRING(): TerminalNode;
    SUPPORTED(): TerminalNode;
    SUSPENDED(): TerminalNode;
    TARGET(): TerminalNode;
    TERMINATE(): TerminalNode;
    TEXT(): TerminalNode;
    THEN(): TerminalNode;
    TIME(): TerminalNode;
    TIMESTAMP(): TerminalNode;
    TIMEZONE(): TerminalNode;
    TO(): TerminalNode;
    TOPOLOGY(): TerminalNode;
    TRANSACTION(): TerminalNode;
    TRANSACTIONS(): TerminalNode;
    TRAVERSE(): TerminalNode;
    TRUE(): TerminalNode;
    TYPE(): TerminalNode;
    TYPES(): TerminalNode;
    UNION(): TerminalNode;
    UNIQUE(): TerminalNode;
    UNIQUENESS(): TerminalNode;
    UNWIND(): TerminalNode;
    URL(): TerminalNode;
    USE(): TerminalNode;
    USER(): TerminalNode;
    USERS(): TerminalNode;
    USING(): TerminalNode;
    VALUE(): TerminalNode;
    VECTOR(): TerminalNode;
    VERBOSE(): TerminalNode;
    VERTEX(): TerminalNode;
    WAIT(): TerminalNode;
    WHEN(): TerminalNode;
    WHERE(): TerminalNode;
    WITH(): TerminalNode;
    WITHOUT(): TerminalNode;
    WRITE(): TerminalNode;
    XOR(): TerminalNode;
    YIELD(): TerminalNode;
    ZONED(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
export declare class EndOfFileContext extends ParserRuleContext {
    constructor(parser?: CypherCmdParser, parent?: ParserRuleContext, invokingState?: number);
    EOF(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: CypherCmdParserListener): void;
    exitRule(listener: CypherCmdParserListener): void;
    accept<Result>(visitor: CypherCmdParserVisitor<Result>): Result;
}
